<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/admin.php";
include_once "include/database.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";

$database = po_dbconnect();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['administrator']) {
  pg_close($database);
  header("location: login.php");
  exit();
}

$all_user_types = pg_query($database, "
    select user_type.identifier, user_type.value
      from user_type
     where identifier!=$user_type[administrator]");

$system_preferences = pg_fetch_row(pg_query($database, "
    select new_user_type, new_user_bulk_upload_enable, new_user_paper, new_user_label, new_user_shop_enable,
           new_user_quota_size, new_user_quota_count, new_user_shared
      from system_preferences"));

$system_preferences[5] = $system_preferences[5] / 1048576;

$all_papers = pg_query($database, "select identifier, name from paper");

$all_labels = pg_query($database, "
    select label.identifier, manufacturer.name, label.name, paper.name
      from label, paper, manufacturer
     where label.paper=paper.identifier
       and label.manufacturer = manufacturer.identifier");

error_reporting(0);
site_header($page_width, "Photo Organizer : Administrator Interface : Edit System Preferences");
site_navigator(9, $my_user_id[1], $user_type);
site_navigator_staus("<a href=\"admin.php\">Adminstrator Interface</a> : Edit System Preferences ", "");

print "&nbsp;<br>";
display_navigator_box_top($admin_data['new_user']['idx'], $admin_data, "100%");

print "&nbsp;<br>";
print "<form action=\"admin.system.edit.2.php\" method=\"POST\">\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_top]\"  colspan=\"7\">New User Preferences</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"8%\">User Type</td>\n";
print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"8%\">Bulk Upload</td>\n";
print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"8%\">Shop</td>\n";
print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"8%\">Shared</td>\n";
print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"8%\">Quota Size</td>\n";
print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"8%\">Quota Count</td>\n";
print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"8%\">Default Paper</td>\n";
print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"34%\">Default Label</td>\n";
print "</tr>\n";

print "<tr>\n";
print "<td align=\"center\" bgcolor=\"$color[table_body]\" >";
display_combo("new_user_type", $all_user_types, $system_preferences[0], "", 1);
print "</td>\n";
print "<td align=\"center\" bgcolor=\"$color[table_body]\" >\n";
display_enable_disable_combo("new_user_bulk_upload_enable", $system_preferences[1]);
print "</td>\n";
print "<td align=\"center\" bgcolor=\"$color[table_body]\" >\n";
display_enable_disable_combo("new_user_shop_enable", $system_preferences[4]);
print "</td>\n";
print "<td align=\"center\" bgcolor=\"$color[table_body]\" >\n";
display_yes_no_combo("new_user_shared", $system_preferences[7]);
print "</td>\n";
print "<td align=\"center\" bgcolor=\"$color[table_body]\" >\n";
print "<input align=\"right\" type=\"text\" name=\"new_user_quota_size\" value=\"$system_preferences[5]\" size=\"7\"> Mb";
print "</td>\n";
print "<td align=\"center\" bgcolor=\"$color[table_body]\" >\n";
print "<input align=\"right\" type=\"text\" name=\"new_user_quota_count\" value=\"$system_preferences[6]\" size=\"7\">";
print "</td>\n";
print "<td align=\"center\" bgcolor=\"$color[table_body]\" >";
display_combo("new_user_paper", $all_papers, $system_preferences[2], ", ", 1);
print "</td>\n";
print "<td align=\"center\" bgcolor=\"$color[table_body]\" >\n";
display_combo("new_user_label", $all_labels, $system_preferences[3], ", ", 1);
print "</td>\n";
print "</tr>\n";
print "</table>\n";

print "&nbsp;<br>";
print "<input type=\"image\" src=\"$theme/button.save.changes.gif\" border=\"0\" value=\"Save Changes\">";
print "<a class=\"nodecor\" href=\"admin.php?selector=".$admin_data['new_user']['idx']."\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"></a>";
print "</center>\n";
print "</form>\n";

display_navigator_box_bottom("100%");
print "&nbsp;<br>";

site_footer($database);
pg_close($database);
?>
