<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/database.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";

$database   = po_dbconnect();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['client']) {
  pg_close($database);
  header("location: login.php");
  exit();
}

$album_id = $_REQUEST['album'];
$photos_in_album = pg_fetch_row(pg_query($database, "select count_photos_by_album($album_id)"));
$subalbums_in_album = pg_fetch_row(pg_query($database, "select count_subalbums_by_album($album_id)"));
$album_data = pg_fetch_row(pg_query($database, "
  select album.identifier, caption, date_of_creation, value
    from album, access_type
   where access_type.identifier=album.access_rights
     and album.identifier='$album_id'"));
$path_to_album = get_path_to_album($database, $album_id);

site_header($page_width, "Photo Organizer : Delete Album");
site_navigator(5, $my_user_id[1]);

if ($my_user_id[1] > $user_type['client']) {
  $navi_path = "My Folders and Albums";
}
else {
  $navi_path = "My Albums";
}

switch ($subalbums_in_album[0]) {
 case 0:
   switch ($photos_in_album[0]) {
   case 0:
     site_navigator_staus("<a href=\"user.php\">Users</a> : <a href=\"my.folder.php\">$navi_path</a>$path_to_album : Delete album <a href=album.php?album=$album_id>$album_data[1]</a>?", "");
     break;
   case 1:
     site_navigator_staus("<a href=\"user.php\">Users</a> : <a href=\"my.folder.php\">$navi_path</a> : There is one photo in this Album. The removal of the Album will also remove the <u>reference</u> to the photo. Proceed?.", "");
     break;
   default:
     site_navigator_staus("<a href=\"user.php\">Users</a> : <a href=\"my.folder.php\">$navi_path</a> : There are $photos_in_album[0] photos in this Album. The removal of the Album will also remove the <u>references</u> to the photos. Proceed?.", "");
   }
   break;
   site_navigator_staus("<a href=\"user.php\">Users</a> : <a href=\"my.folder.php\">$navi_path</a> : Delete album <a href=album.php?album=$album_id>$album_data[1]</a>?", "");
   break;
 case 1:
   site_navigator_staus("<a href=\"user.php\">Users</a> : <a href=\"my.folder.php\">$navi_path</a>$path_to_album : There is $subalbums_in_album[0] subalbum in <a href=album.php?album=$album_id>$album_data[1]</a>. Cannot remove.", "");
   break;
 default:
   site_navigator_staus("<a href=\"user.php\">Users</a> : <a href=\"my.folder.php\">$navi_path</a>$path_to_album : There are $subalbums_in_album[0] subalbums in <a href=album.php?album=$album_id>$album_data[1]</a>. Cannot remove.", "");
}

print "&nbsp;<br>\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"55%\">Album Name</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\">Subalbums</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\">Photos</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"15%\">Created</td>\n";
if ($my_user_id[1] > $user_type['client']) {
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\">Access</td>\n";
}
print "</tr>";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"album.php?album=$album_data[0]\">$album_data[1]</a></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$photos_in_album[0]</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$subalbums_in_album[0]</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >".generate_date_html($album_data[2], 'date', $my_user_id[0]  == "" ? 0 : 1)."</td>";
if ($my_user_id[1] > $user_type['client']) {
  print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$album_data[3]</td>\n";
}
print "</tr>";
print "</table>";

print "&nbsp;<br>\n";
print "<center>\n";
if ($subalbums_in_album[0] > 0) {
  print "<a class=\"nodecor\" href=\"album.php?album=$album_id\"><img src=\"$theme/button.back.gif\" border=\"0\" alt=\"Back\"></a>\n";
}
else {
  print "<form method=\"post\" action=\"album.del.2.php\">";
  print "<input type=\"hidden\" name=\"album\" value=\"$album_id\"><p>";
  print "<input type=\"image\" src=\"$theme/button.confirm.delete.gif\" border=\"0\" value=\"Confirm Delete\">";
  print "<a class=\"nodecor\" href=\"my.folder.php\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"></a>";
  print "</form>";
}
print "</center>\n";

print "&nbsp;<br>\n";
site_footer($database);
pg_close($database);
?>
