<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";
include_once "include/profile.php";
include_once "include/database.php";

$database = po_dbconnect();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['user']) {
  pg_close($database);
  header("location: login.php");
  exit();
}

$manufacturer_filter = $_REQUEST['filter'];
$all_manufacturers = pg_query($database, "select identifier, name from manufacturer order by name");

switch ($manufacturer_filter) {
 case 'All':
 case '':
   $camera_type = pg_query($database, "select identifier, name, model, variation, url, raw_icc_profile from view_camera_type order by name");
   break;
 default:
   $camera_type = pg_query($database, "select identifier, name, model, variation, url, raw_icc_profile from view_camera_type where view_camera_type.name='$manufacturer_filter' order by name");
}

site_header($page_width, "Photo Organizer : Add Camera");
site_navigator(6, $my_user_id[1]);
site_navigator_staus("<a href=\"user.php\">Users</a> : <a href=\"my.profile.php\">My Profile</a> : Add new camera", "");

print "&nbsp;<br>";
display_navigator_box_top($profile_data['camera']['idx'], $profile_data, "100%");

print "&nbsp;<br>";
if (pg_num_rows($all_manufacturers) == 0) {
  print "<table border=\"0\" width=\"100%\">\n";
  print "<tr><td align=\"center\" >\n";
  print "You must add manufacturers, before adding cameras";
  print "</td></tr><tr><td>&nbsp;<td></tr><tr><td align=\"center\"><p>\n";
  print "<a href=\"manufacturer.add.php\"><img src=\"$theme/button.add.manufacturer.gif\" border=\"0\" alt=\"Add manufacturer\"></a>\n";
  print "</td></tr>\n";
  print "</table>\n";
  display_navigator_box_bottom("100%");
  print "&nbsp;<br>";
  site_footer($database);
  pg_close($database);
  exit;
}

print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"5\">\n";

print "<table width=\"100%\">\n<tr>\n";
print "<td align=\"left\"><font class=\"tabletop\">Camera Types</font></td>\n";
print "<td align=\"right\">\n";
print "<form>\n";
print "<select onchange=\"location = this.options[this.selectedIndex].value;\">\n";
print "<option value=\"camera.add.php\">All";
for ($i=0; $i < pg_num_rows($all_manufacturers); $i++) {
  $manufacturer = pg_fetch_row($all_manufacturers, $i);
  if ($manufacturer[1]==$manufacturer_filter)
    print "<option value=\"camera.add.php?filter=$manufacturer[1]\" selected>$manufacturer[1]";
  else
    print "<option value=\"camera.add.php?filter=$manufacturer[1]\">$manufacturer[1]";
}
print "</select>";
print "</form>\n";
print "</td></tr>\n</table>\n";

print "</td>\n";
print "</tr>\n";

print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"4%\"></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"29%\">Manufacturer</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"25%\">Model</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"21%\">Variation</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"21%\">ICC Profile</td>\n";
print "</tr>\n";

print "<form method=post action=camera.add.2.php>\n";
$num_of_camera_types = pg_num_rows($camera_type);
if ($num_of_camera_types > 0) {
  for ($i=0; $i < $num_of_camera_types; $i++) {
    $camera = pg_fetch_row($camera_type, $i);
    print "<tr>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
    print "<input type=\"radio\" name=\"camera_type_id\" value=\"$camera[0]\"></td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"$camera[4]\">$camera[1]</a></td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$camera[2]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$camera[3]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
    print $icc_profiles[$camera[5]]['name'];
    print "</td>\n";
    print "</tr>\n";
  }
}
else
print "<tr><td colspan=\"4\" align=\"left\" bgcolor=\"$color[table_body]\" >No camera types found.</td></tr>\n";
print "</table>\n";

print "&nbsp;<br>\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"5\"><font class=\"tabletop\">New Camera Type</font></td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"4%\"></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"29%\">Manufacturer</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"25%\">Model</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"21%\">Variation</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"21%\">ICC Profile</td>\n";
print "</tr>\n";

print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\">";
print "<input type=\"radio\" name=\"camera_type_id\" value=\"custom\" checked></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\"  >";
print "<select name=\"camera_manufacturer_id\">\n";
$num_of_manufacturers = pg_num_rows($all_manufacturers);
for ($i=0; $i < $num_of_manufacturers; $i++) {
  $manufacturer = pg_fetch_row($all_manufacturers, $i);
  print "<option value=\"$manufacturer[0]\">$manufacturer[1]";
}
print "</select></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
print "<input type=\"text\" name=\"camera_model\"></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
print "<input type=\"text\" name=\"camera_variation\"></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
display_icc_profiles_combo("camera_icc_profile", "");
print "</td>\n";
print "</tr>\n";
print "</table>\n";

print "&nbsp;<br>\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr><td colspan=\"4\" bgcolor=\"$color[table_top]\"><font class=\"tabletop\">Camera Specific Data</font></td></tr>\n";


print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Serial Number</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Purchase Date</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >New</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Access</td>\n";
print "</tr>\n";

print "<tr>\n";
print "<td bgcolor=\"$color[table_body]\" >\n";
print "<input type=\"text\" name=\"camera_serial_number\"></td>\n";
print "<td bgcolor=\"$color[table_body]\" >\n";
display_date_input_form("camera_purchase_timestamp", "");
print "</td>\n";
print "<td bgcolor=\"$color[table_body]\" >\n";
display_yes_no_combo("camera_purchased_new", "t");
print "</td>\n";
print "<td bgcolor=\"$color[table_body]\" >\n";
display_access_combo("camera_access_rights", "t", "");
print "</td>\n";
print "</tr>\n";
print "</table>\n";

print "&nbsp;<br>";
print "<input type=\"image\" src=\"$theme/button.add.gif\" border=\"0\" value=\"Add Camera\">\n";
print "<a class=\"nodecor\" href=\"my.profile.php?selector=".$profile_data['camera']['idx']."\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"></a>\n";
print "</form>\n";

display_navigator_box_bottom("100%");
print "&nbsp;<br>";

site_footer($database);
pg_close($database);
?>
