<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/profile.php";
include_once "include/database.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/calendar.php";

function add_filter($database, $user_id,
                    $filter_type_id, $filter_manufacturer_id, $filter_model,
                    $filter_variation, $filter_date_of_purchase, $filter_purchased_new, $filter_access_rights) {

  $filter_date_of_purchase = check_date_validity($filter_purchase_timestamp);

  $filter_model = pg_escape_string($filter_model);
  $filter_variation = pg_escape_string($filter_variation);

  if ($filter_type_id=='custom') {
    $new_filter_type_id = pg_fetch_row(pg_query($database, "select nextval('filter_type_id_sequence')"));
    $filter_type_id = $new_filter_type_id[0];
    $result = pg_query($database, "insert into filter_type (identifier, manufacturer, model, variation, last_modified_date, last_modifying_users)
                                   values ($filter_type_id, $filter_manufacturer_id, '$filter_model', '$filter_variation', now(), $user_id)");
    if (!$result) {
      print "Failed to create new filter type";
      return;
    }
  }

  $result = pg_query($database, "insert into filter (identifier, type, users, date_of_purchase, purchased_new, access_rights)
                                 values (nextval('filter_id_sequence'), '$filter_type_id', '$user_id', $filter_date_of_purchase, '$filter_purchased_new', '$filter_access_rights')");
  if (!$result) {
    print "Failed to create new filter";
  }
}

$database   = po_dbconnect();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier from users where session_id='$session_id'"));
if ($my_user_id[0] == "") {
  pg_close($database);
  header("location: login.php");
  exit();
}

add_filter($database, $my_user_id[0], $_REQUEST['filter_type_id'], $_REQUEST['filter_manufacturer_id'],
           $_REQUEST['filter_model'], $_REQUEST['filter_variation'],
           $_REQUEST['filter_purchase_timestamp'], $_REQUEST['filter_purchased_new'], $_REQUEST['filter_access_rights']);
pg_close($database);
header("location: my.profile.php?selector=".$profile_data['filter']['idx']);
?>
