<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

// the PO site url
$site_url = "http://localhost/po";

// database connection details:
$db_host       = "127.0.0.1";
$db_port       = "5432";
$db_name       = "po_dev_db";
$db_user       = "po_dev_user";
$db_password   = "none";
$db_connection = "host=" . $db_host . " port=" . $db_port . " dbname=" . $db_name . " user=" . $db_user . "  password=" . $db_password;

// content based image retrieval server connection details:
$cbir_host = "";
$cbir_port = "";

// Use output compression?
$compress_pages = true;

// absolute path to your image repository which
// is used to store all your image files
$image_repository_path = "/export/po_dev_image_repository";

// absolute path to your temporary directory which
// is used to store printed files while they are converted
// and to perform bulk uploads
$tmp_volume_path = "/tmp";

// ImageMagick convert tool
$sys_convert = "/usr/bin/convert";

// ImageMagick composite tool
$sys_composite = "/usr/bin/composite";

// JpegTRAN convert tool
$sys_jpegtran = "";

// Dave Coffin's raw image decoder
$sys_dcraw = "/usr/local/bin/dcraw";

// Dave Coffin's raw image decoder helper application for RAF images
$sys_dcraw_fujiturn = "/usr/local/bin/fujiturn";

// PS2PDF - converts PS documents into PDF ones
$sys_ps2pdf  = "/usr/bin/ps2pdf";

// gtar - must support the -z and -j options
$sys_tar = "/bin/tar";

// unzip
$sys_unzip = "/usr/bin/unzip";

// The path to the current theme - relative to the PO installation directory
$theme = "themes/aqua";

// The name of the cookie which stores the user's session id
$po_cookie = "po_session_id";

// The size of the medium sized image
$image_max_size = 700;

// Thumbnail image size, smaller than the cell size
$thumb_max_size = 170;

// The size of the slide cell
$cell_size = 200;

// Page width
$page_width = "92%";

// Default paper and label
$default_paper = 13;
$default_label = 17;

// Default number of columns
$default_num_of_columns             = 4;
$default_num_of_rows_in_slide_view  = 4;
$default_num_of_rows_in_list_view   = 20;
$maximum_num_of_rows_in_slide_view  = 20;
$maximum_num_of_rows_in_list_view   = 100;

// Default pupup tooltip parameters
$default_popup_enable               = "f";
$default_popup_delay                = 100;

// Default ImageMagick options
$default_im_preview_quality         = 80;
$default_im_preview_color_space     = "RGB";
$default_im_preview_gamma           = 1;
$default_im_preview_sharpen_radius  = 0.2;
$default_im_preview_sharpen_sigma   = 0.2;
$default_im_preview_sharpen_amount  = 1.7;
$default_im_preview_sharpen_threshold = 0.05;
$default_im_preview_border_width    = 0;
$default_im_preview_border_height   = 0;
$default_im_preview_border_color    = "000000";

$default_im_thumb_quality           = 80;
$default_im_thumb_color_space       = "RGB";
$default_im_thumb_gamma             = 1;
$default_im_thumb_sharpen_radius    = 0.4;
$default_im_thumb_sharpen_sigma     = 0.4;
$default_im_thumb_sharpen_amount    = 2.7;
$default_im_thumb_sharpen_threshold = 0.00;
$default_im_thumb_border_width      = 0;
$default_im_thumb_border_height     = 0;
$default_im_thumb_border_color      = "000000";


// Default ImageMagick composite options
$default_im_watermark_brightness    = 0;
$default_im_watermark_location      = "center";

// Default DCRAW options
$default_dcraw_gamma                = 0.6;
$default_dcraw_brightness           = 1.0;
$default_dcraw_white_balanace       = "automatic";
$default_dcraw_red_multiplier       = 1.0;
$default_dcraw_blue_multiplier      = 1.0;
$default_dcraw_bitdepth             = 24;

// You might want to add more forbidden keywords
$forbidden_keywords = array("a", "b", "c", "d", "e", "f", "g", "h",
                             "i", "j", "k", "l", "m", "n",  "o", "p",
                             "q", "r", "s", "t", "u", "v", "w", "x", "y", "z",
                             "on", "in", "the", "of", "to", "at", "an", "as");

?>
