<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

function get_current_file_name() {
  $file_name = $_SERVER[SCRIPT_NAME];
  return substr($file_name, 0, strrpos($file_name, "."));
}

function table_top($table_field_desc, $url, $orderby, $dir, $table_id, $arguments) {
  global $style;
  global $color;

  $file_name = get_current_file_name();
  $current_order = 1;

  print "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"2\" bgcolor=\"$color[table_background]\"><tr>";
  foreach ($table_field_desc as $column) {
    print "<td align=\"left\" bgcolor=\"$color[table_top]\" width=\"$column[width]\" style=\"cursor:help\" onmouseover=\"return overlib('$column[title] &#013; some more');\" onmouseout=\"return nd();\" title=\"$column[title] &#013; some more\">";
    if ($current_order == $orderby) {
      if ($dir == 1) {
        $image = "images/down.gif";
        $dir   = 2;
      }
      else {
        $image = "images/up.gif";
        $dir   = 1;
      }
      print "<table width=\"100%\"><tr><td align=\"left\" bgcolor=$color[table_top] nowrap=\"nowrap\" style=$style[14]>";
      print "<a href=\"$file_name.php?orderby$table_id=$current_order&dir$table_id=$dir$arguments\">$column[name]</a>";
      print "</td><td align=\"right\" bgcolor=$color[table_top]>";
      print "<a href=\"$file_name.php?orderby$table_id=$current_order&dir$table_id=$dir$arguments\">
             <img src=\"$image\" width=\"13\" height=\"13\" border=\"0\"></a>";
      print "</td></tr></table>";
    }
    else {
      print "<table width=\"100%\"><tr><td align=\"left\" bgcolor=$color[table_top] nowrap=\"nowrap\" style=$style[14]>";
      print "<a href=\"$file_name.php?orderby$table_id=$current_order&dir$table_id=0$arguments\">$column[name]</a>";
      print "</td><td align=\"right\" bgcolor=$color[table_top]>";
      print "<a href=\"$file_name.php?orderby$table_id=$current_order&dir$table_id=0$arguments\">
             <img src=\"images/null.gif\" width=\"13\" height=\"13\" border=\"0\"></a>";
      print "</td></tr></table>";
    }
    print "</td>";
    $current_order++;
  }
  print "<td align=\"left\" bgcolor=$color[table_top] nowrap=\"nowrap\" style=$style[12] width=\"10%\" colspan=\"2\"><a href=\"$url.add.php\">Add</a></td>";
  print "</tr>";
}

function table_row($row, $url, $table_field_desc, $bgcolor) {
  global $style;
  $row_count = 1; // we start from 1 since the first element (the identifier) doesn't count
  print '<tr>';

  foreach ($table_field_desc as $cell) {
    print "<td align=\"left\" bgcolor=\"$bgcolor\" nowrap=\"nowrap\" style=$style[12]>";
    $token = strtok($cell[field],",");
    print "$row[$row_count]";
    $row_count++;
    $token = strtok(",");
    while ($token) {
      print "$cell[separator]";
      print "$row[$row_count]";
      $token = strtok(",");
      $row_count++;
    };
    print "</td>";
  }
  print "<td align=\"left\" bgcolor=\"$bgcolor\" nowrap=\"nowrap\" style=$style[12] width=\"5%\"><a href=$url.edit.php?item=$row[0]>Edit</a></td>";
  print "<td align=\"left\" bgcolor=\"$bgcolor\" nowrap=\"nowrap\" style=$style[12] width=\"5%\" ><a href=$url.del.php?item=$row[0]>Delete</a></td>";
  print '</tr>';
}

function table_body_db($database, $table_field_desc, $url, $orderby, $dir, $table_name) {
  global $style;
  global $color;
  $order_directions = array(1 => "asc", 2 => "desc");

  $dir     = $order_directions[$dir];
  $orderby = $table_field_desc[$orderby][field];

  if ($orderby) {
    $orderby = "order by " . strtok($orderby, ",");
    if (!$dir) {
      $dir = $order_directions[2];
    }
    $orderby = $orderby . " " . $dir;
  }

  foreach ($table_field_desc as $column) {
    if ($field_list)
      $field_list = $field_list . ", " . $column[field];
    else
      $field_list = $column[field];
  }

  $table_body_content =  pg_query($database, "select identifier, $field_list from $table_name $orderby");
  for ($i = 0; $i < pg_num_rows($table_body_content); $i++) {
    table_row(pg_fetch_row($table_body_content, $i), $url, $table_field_desc, $i%2 ? $color[table_body_1] : $color[table_body_2]);
  }
}

function table_body_array($table_content_desc, $table_field_desc, $url, $orderby, $dir) {
  global $style;
  global $color;
  $order_directions = array(1 => SORT_ASC, 2 => SORT_DESC);


  if (!$dir)
    $dir = $order_directions[2];
  else
    $dir = $order_directions[$dir];

  if (!$orderby)
    $orderby = 0;

  array_multisort($table_content_desc[$orderby], $dir, SORT_REGULAR);

  foreach ($table_content_desc as $row) {
    table_row($row, $url, $table_field_desc, $i%2 ? $color[table_body_1] : $color[table_body_2]);
  }
}

function table_bottom() {
  print '</table>';
}



/* $dir1     = $_REQUEST['dir1']; */
/* $orderby1 = $_REQUEST['orderby1']; */
/* $dir2     = $_REQUEST['dir2']; */
/* $orderby2 = $_REQUEST['orderby2']; */
/* $dir3     = $_REQUEST['dir3']; */
/* $orderby3 = $_REQUEST['orderby3']; */

/* $database = pg_pconnect("host=localhost port=5432 dbname=table.study.db user=balint"); */

/* $url_1 = "table_study_1"; */
/* $table_field_desc_1 = */
/* array(1 => array(name => "Description", field => "description", separator => "", width => "30%", title => "description"), */
/*       2 => array(name => "Major",       field => "major",       separator => "", width => "20%", title => "major"), */
/*       3 => array(name => "Minor",       field => "minor",       separator => "", width => "20%", title => "minor"), */
/*       4 => array(name => "Variation",   field => "variation",   separator => "", width => "20%", title => "variation")); */
/* table_top($table_field_desc_1, $url_1, $orderby1, $dir1, 1, "&orderby2=$orderby2&dir2=$dir2&orderby3=$orderby3&dir3=$dir3"); */
/* table_body_db($database, $table_field_desc_1, $url_1, $orderby1, $dir1, "test_table"); */
/* table_bottom(); */

/* print "<p>"; */
/* $url_2 = "table_study_2"; */
/* $table_field_desc_2 = */
/* array(1 => array(name => "Description", field => "description", separator => "", width => "30%", title => "description"), */
/*       2 => array(name => "Major",       field => "major",       separator => "", width => "20%", title => "major"), */
/*       3 => array(name => "Minor",       field => "minor",       separator => "", width => "20%", title => "minor"), */
/*       4 => array(name => "Variation",   field => "variation",   separator => "", width => "20%", title => "variation")); */
/* $table_content_desc = */
/* array (array(0, fieldRT, 0, 9, C), */
/*        array(1, fieldER, 1, 8, A), */
/*        array(2, fieldWE, 2, 7, G), */
/*        array(3, fieldER, 3, 6, E), */
/*        array(4, fieldWE, 4, 5, U)); */
/* table_top($table_field_desc_2, $url_2, $orderby2, $dir2, 2, "&orderby1=$orderby1&dir1=$dir1&orderby3=$orderby3&dir3=$dir3"); */
/* table_body_array($table_content_desc, $table_field_desc_2, $url_2, $orderby2, $dir2); */
/* table_bottom(); */

/* print "<p>"; */
/* $url_3 = "table_study_3"; */
/* $table_field_desc_3 = */
/* array(1 => array(name => "Make, Type, Year", field => "name, type, year", separator => " | ", width => "80%"), */
/*       2 => array(name => "Year",             field => "year",             separator => "",    width => "10%")); */
/* table_top($table_field_desc_3, $url_3, $orderby2, $dir3, 3, "&orderby1=$orderby1&dir1=$dir1&orderby2=$orderby2&dir2=$dir2"); */
/* table_body_db($database, $table_field_desc_3, $url_3, $orderby3, $dir3, "test_table_2"); */
/* table_bottom(); */
/* pg_close($database); */

?>
