<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/profile.php";
include_once "include/database.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";

$database = po_dbconnect();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['user']) {
  pg_close($database);
  header("location: login.php");
  exit();
}

$manufacturer_filter = $_REQUEST['filter'];
$lens_id             = $_REQUEST['item'];
$number_of_references = pg_fetch_row(pg_query($database, "select number_of_lens_references($lens_id)"));
$lens_to_be_removed = pg_fetch_row(pg_query($database, "select name, model, variation, s_min_aperture, s_max_aperture,
                                                               s_min_focal_length, s_max_focal_length, serial_number,
                                                               date_of_purchase, purchased_new, url, access_rights
                                                          from view_lens where identifier=$lens_id"));

site_header($page_width, "Photo Organizer : Delete Lens");
site_navigator(6, $my_user_id[1]);

switch ($number_of_references[0]) {
 case 0:
   site_navigator_staus("<a href=\"user.php\">Users</a> : <a href=\"my.profile.php\">My Profile</a> : Delete lens", "");
   break;
 case 1:
   site_navigator_staus("<a href=\"user.php\">Users</a> : <a href=\"my.profile.php\">My Profile</a> : There is 1 reference to this lens. Cannot remove.", "");
   break;
 default:
   site_navigator_staus("<a href=\"user.php\">Users</a> : <a href=\"my.profile.php\">My Profile</a> : There are $number_of_references[0] references to this lens. Cannot remove.", "");
}

print "&nbsp;<br>";
display_navigator_box_top($profile_data['lens']['idx'], $profile_data, "100%");

print "&nbsp;<br>";

print "<form method=\"post\" action=\"lens.del.2.php?item_id=$lens_id\">\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"5\"><font class=\"tabletop\">Remove Lens</font></td>\n";
print "</td>\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"50%\">Model</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"14%\">Serial Number</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"19%\">Purchase Date</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"7%\">New</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"7%\">Access</td>\n";
print "</tr>\n";

print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"$lens_to_be_removed[10]\">$lens_to_be_removed[0]</a>\n";
print "&nbsp;$lens_to_be_removed[1]&nbsp;$lens_to_be_removed[2]&nbsp;";
display_lens_string($lens_to_be_removed[3], $lens_to_be_removed[4], $lens_to_be_removed[5], $lens_to_be_removed[6]);
print "</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$lens_to_be_removed[7]</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >".generate_date_html($lens_to_be_removed[8], 'date', $my_user_id[0]  == "" ? 0 : 1). "</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >"; display_yes_no_text($lens_to_be_removed[9]); print"</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$lens_to_be_removed[11]</td>\n";
print "</tr>\n";
print "</table>\n";

print "&nbsp;<br>";
if ($number_of_references[0]==0) {
  print "<input type=\"image\" src=\"$theme/button.confirm.delete.gif\" border=\"0\" value=\"Confirm Delete\">\n";
  print "<a class=\"nodecor\" href=\"my.profile.php?selector=".$profile_data['lens']['idx']."\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"></a>\n";
}
else {
  print "<a class=\"nodecor\" href=\"my.profile.php?selector=".$profile_data['lens']['idx']."\"><img src=\"$theme/button.back.gif\" border=\"0\" alt=\"Back\"></a>\n";
}
print "</form>\n";

display_navigator_box_bottom("100%");
print "&nbsp;<br>";

site_footer($database);
pg_close($database);
?>
