<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";
include_once "include/profile.php";
include_once "include/database.php";

$selector = $_REQUEST['selector'];
if (!$selector) {
  $selector = 1;
}

$database = po_dbconnect();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['user']) {
  pg_close($database);
  header("location: login.php");
  exit();
}

site_header($page_width, "Photo Organizer : Display Profile");
site_navigator(6, $my_user_id[1]);
site_navigator_staus("<a href=\"user.php\">Users</a> : My Profile", "");

print "&nbsp;<br>";
display_navigator_box_top($selector, $profile_data, "100%");
print "&nbsp;<br>";

switch ($selector) {
 case $profile_data['lens']['idx']:
   display_lens($database, $my_user_id[0], $my_user_id[0]);
   break;
 case $profile_data['camera']['idx']:
   display_camera($database, $my_user_id[0], $my_user_id[0]);
   break;
 case $profile_data['flash']['idx']:
   display_flash($database, $my_user_id[0], $my_user_id[0]);
   break;
 case $profile_data['scanner']['idx']:
   display_scanner($database, $my_user_id[0], $my_user_id[0]);
   break;
 case $profile_data['filter']['idx']:
   display_filter($database, $my_user_id[0], $my_user_id[0]);
   break;
 case $profile_data['film']['idx']:
   display_film($database, $my_user_id[0], $my_user_id[0]);
   break;
 case $profile_data['support']['idx']:
   display_support($database, $my_user_id[0], $my_user_id[0]);
   break;
 case $profile_data['manufacturer']['idx']:
   display_manufacturer($database, $my_user_id[0], $my_user_id[0]);
   break;
 case $profile_data['label']['idx']:
   display_label($database, $my_user_id[0], $my_user_id[0]);
   break;
 case $profile_data['shop']['idx']:
   display_shop_categories($database, $my_user_id[0], $my_user_id[0]);
   print "<p></p>";
   display_shop_items($database, $my_user_id[0], $my_user_id[0]);
   break;
 case $profile_data['location']['idx']:
   display_location($database, $my_user_id[0]);
   break;
}

display_navigator_box_bottom("100%");
print "&nbsp;<br>";
site_footer($database);
pg_close($database);
?>
