<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";
include_once "include/database.php";

$database = po_dbconnect();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['user']) {
  pg_close($database);
  header("location: login.php");
  exit();
}

$photo_id = $_REQUEST['photo'];
$item     = $_REQUEST['item'];

$photo_data = pg_fetch_row(pg_query($database, "
  select users, caption, medium_image_path, large_image_path, hide_original, title
    from photo, photo_version
   where photo.identifier = photo_version.photo
     and photo_version.master = 't'
     and photo.identifier = '$photo_id'"));
$folder_data = pg_fetch_row(pg_query($database, "
  select folder.identifier, folder.caption
    from photo, folder
   where photo.folder = folder.identifier
     and photo.identifier='$photo_id'"));
$user_name   = pg_fetch_row(pg_query($database, "
  select identifier, last_name, first_name
    from users
   where identifier=$photo_data[0]"));
$photo_for_sale = pg_fetch_row(pg_query($database, "
  select description, price, alpha_code, comment, shop_item.date_of_creation, caption
    from shop_item, photo_item, currency, shop_category
   where photo_item.shop_item = shop_item.identifier
     and photo_item.currency = currency.identifier
     and shop_item.category = shop_category.identifier
     and photo_item.identifier=$item
     and photo_item.photo='$photo_id'"));

$num_of_references = pg_num_rows(pg_query($database, "select item from shop_order where item = $item"));

site_header($page_width, "Photo Organizer : Delete Photo Shop Item");

if ($my_user_id[0] == $photo_data[0]) {
  site_navigator(5, $my_user_id[1]);
  $user_display_string = "My folders and albums";
}
else {
  site_navigator(1, $my_user_id[1]);
  $user_display_string = sprintf("%s, %s", $user_name[1], $user_name[2]);
}
$path_to_folder = get_path_to_folder($database, $folder_data[0]);
$title = get_photo_title($photo_data[1], $photo_data[5]);
site_navigator_staus("<a href=\"user.php\">Users</a> : <a href=\"user.php?user=$user_name[0]\">$user_display_string</a>$path_to_folder : <a href=\"folder.php?folder=$folder_data[0]\">$folder_data[1]</a> : <a href=\"photo.php?photo=$photo_id\">$title</a> : Delete photo item", "");

print "&nbsp;<br>\n";
print "<center>\n";
display_shaded_photo("image.display.php?image=$photo_id&size=2&ver=$version", "", $image_repository_path . "/" . $photo_data[2]);
print "</center>\n";
print "&nbsp;<br>\n";

print "<form method=\"post\" action=\"photo.item.del.2.php\">\n";
print "<input type=\"hidden\" name=\"photo\" value=\"$photo_id\">\n";
print "<input type=\"hidden\" name=\"item\" value=\"$item\">\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_top]\"  width=\"15%\">Category</td>";
print "<td align=\"left\" bgcolor=\"$color[table_top]\"  width=\"15%\">Item</td>";
print "<td align=\"left\" bgcolor=\"$color[table_top]\"  width=\"10%\">Price</td>";
print "<td align=\"left\" bgcolor=\"$color[table_top]\"  width=\"45%\">Remark</td>";
print "<td align=\"left\" bgcolor=\"$color[table_top]\"  width=\"15%\">Date</td>";
print "</tr><tr>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" nowrap>$photo_for_sale[5]</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" nowrap>$photo_for_sale[0]</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$photo_for_sale[2] $photo_for_sale[1]</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$photo_for_sale[3]</td>";
print "<td align=\"left\" valign=\"top\" bgcolor=\"$color[table_body]\" >".generate_date_html($photo_for_sale[4], 'date', $my_user_id[0]  == "" ? 0 : 1)."</td>";
print "</tr>";
print "</table>\n";
print "&nbsp;<br>\n";

if ($num_of_references > 0) {
  $plural = ($num_of_references > 1) ? "references" : "reference";
  print "<p>This photo item has $num_of_references shop transaction $plural, therefore it will not be removed but only hidden.</p>";
}

print "<input type=\"image\" src=\"$theme/button.confirm.delete.gif\" border=\"0\" value=\"Confirm Delete\">\n";
print "<a class=\"nodecor\" href=\"photo.php?photo=$photo_id&detail_info=8\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"></a>\n";
print "</form>\n";

print "&nbsp;<br>\n";

site_footer($database);
pg_close($database);
?>
