<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";
include_once "include/print.ps.php";
include_once "include/orderby.php";
include_once "include/database.php";

$database = po_dbconnect();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type, first_name, last_name from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['user']) {
  pg_close($database);
  header("location: login.php");
  exit();
}

$mm2dpi = 72/25.4;

$source_photo_id  = $_REQUEST['source_photo'];
$source_folder_id = $_REQUEST['source_folder'];
$source_album_id  = $_REQUEST['source_album'];
$print_type       = $_REQUEST['print_type'];
$output_format    = $_REQUEST['output_format'];
$left_margin      = $_REQUEST['left_margin']*$mm2dpi;
$top_margin       = $_REQUEST['top_margin']*$mm2dpi;
$right_margin     = $_REQUEST['right_margin']*$mm2dpi;
$bottom_margin    = $_REQUEST['bottom_margin']*$mm2dpi;
$x_space          = $_REQUEST['x_space']*$mm2dpi;
$y_space          = $_REQUEST['y_space']*$mm2dpi;
$orientation      = $_REQUEST['orientation'];
$columns          = $_REQUEST['columns'];
$rows             = $_REQUEST['rows'];
$x_paper          = $_REQUEST['x_paper'];
$y_paper          = $_REQUEST['y_paper'];
$paper_name       = $_REQUEST['paper_name'];
$x_size           = $_REQUEST['x_size']*$mm2dpi;
$y_size           = $_REQUEST['y_size']*$mm2dpi;
$order_by         = $_REQUEST['order_by'];

$query_order_by_string = $order_by_string[$order_by][0];

if ($orientation == "1") {
  $temp    = $x_paper;
  $x_paper = $y_paper;
  $y_paper = $temp;
}
else {
  $orientation = 0;
}

if ($x_size == 0) {
  $x_size =  ($x_paper - ($left_margin + $right_margin + $x_space*($columns - 1)))/$columns;
}
if ($y_size == 0) {
  $y_size = $x_size/4;
}

if ($source_photo_id != "") {
  $photo_data_single = pg_fetch_row(pg_query($database, "select photo.identifier, folder, caption, small_image_path, title from photo, photo_version where photo.identifier=photo_version.photo and photo.identifier='$source_photo_id'"));
  $photo_data_single[2] = makeZanza($photo_data_single[4] ? $photo_data_single[4] : $photo_data_single[2], "No Title");
  $folder_name = pg_fetch_row(pg_query($database, "select caption from folder where identifier=$photo_data_single[1]"));
  $folder_name[0] = makeZanza($folder_name[0], "No Caption");
  $navigator_status_message = "<a href=user.php>Users</a> : <a href=\"user.php?user=$my_user_id[0]\">My folders and albums</a> : <a href=\"folder.php?folder=$photo_dat_asingle[1]\">$folder_name[0]</a> : <a href=\"photo.php?photo=$source_photo_id\">$photo_data_single[2]</a> : Click on the link below to retrieve the document.";
} elseif ($source_album_id != "") {
  $album_name = pg_fetch_row(pg_query($database, "select caption from album where identifier='$source_album_id'"));
  $album_name[0] = makeZanza($album_name[0], "No Caption");
  $navigator_status_message = "<a href=user.php>Users</a> : <a href=\"user.php?user=$my_user_id[0]\">My folders and albums</a> : <a href=\"album.php?album=$source_album_id\">$album_name[0]</a> : Click on the link below to retrieve the document.";
} elseif ($source_folder_id != "") {
  $folder_name = pg_fetch_row(pg_query($database, "select caption from folder where identifier='$source_folder_id'"));
  $folder_name[0] = makeZanza($folder_name[0], "No Caption");
  $navigator_status_message = "<a href=user.php>Users</a> : <a href=\"user.php?user=$my_user_id[0]\">My folders and albums</a> : <a href=\"folder.php?folder=$source_folder_id\">$folder_name[0]</a> : Click on the link below to retrieve the document.";
}

$photos_in_spooler = pg_query($database, "
  select photo.identifier, folder, title, small_image_path, medium_image_path, date_of_exposure, photo_dupe.date_of_creation,
         11 - (select avg(rating.value) from rating where rating.photo = photo.identifier) as rating, views, caption, author
    from photo_spooler, photo, photo_version
   where photo.identifier = photo_version.photo
     and photo.identifier = photo_dupe.photo
     and photo.identifier = photo_spooler.photo
     and photo_version.master = 't'
     and photo_spooler.users = $my_user_id[0]
   order by $query_order_by_string");

$print_id = pg_fetch_row(pg_query($database, "select nextval('print_id_sequence')"));
$file_name = $tmp_volume_path . "/po.slide." . $print_id[0];

$file = fopen($file_name . ".ps", "w");

$tmp_ps_title   = 'Print Job #' . $print_id[0];
$tmp_ps_for_username = $my_user_id[3] . ", " . $my_user_id[2];
$php_version    = version();
$sql_version    = pg_fetch_row(pg_query($database, "select major, minor, variation from version"));
$tmp_ps_creator = "Photo Organizer, Version: PHP.$php_version-SQL.$sql_version[0].$sql_version[1].$sql_version[2], Balint Kis, balint@k-i-s.net";
$tmp_ps_document_version = 1.0;

ps_Header($file, $tmp_ps_title, $tmp_ps_creator, $tmp_ps_for_username, $tmp_ps_document_version, $x_paper, $y_paper);
ps_Dictionary($file);
if ($print_type == "brochure") {
  $border = 0;
  $leading_blanks = 0;
}
else {
  $border = 5;
  $leading_blanks = $_REQUEST['leading_blanks'];
}

$print_barcode = ($_REQUEST['display_barcode'] == "on");
$print_image   = ($_REQUEST['display_image'] == "on");

$pageIndex   = 1;
$columnIndex = 0;
$frameIndex  = 0;

ps_PageSetup($file, $paper_name, $x_paper, $y_paper, $orientation);
ps_PageBreak($file, $pageIndex, $pageIndex);

$x_pos = $left_margin;
$y_pos = $y_paper - $top_margin - $leading_blanks*($y_size + $y_space);

if ($leading_blanks != 0) {
  $y_pos += $y_space;
}

for ($photos = 0; $photos < pg_num_rows($photos_in_spooler); $photos++) {
  $photo_single = pg_fetch_row($photos_in_spooler, $photos);
  $photo_dupes = pg_query($database, "select identifier, remark, storage_location, storage_index, key from photo_dupe where photo='$photo_single[0]'");
  $number_of_dupes = pg_num_rows($photo_dupes);

  for ($dupes = 0; $dupes < $number_of_dupes; $dupes++) {
    /* check image name, if it's the null photo disable printing for this image */
    $print_this_image = FALSE;
    if ($print_image)
      $print_this_image = (strpos($photo_single[3], "null.photo") == FALSE);

    $photo_dupe_single = pg_fetch_row($photo_dupes, $dupes);

    $photo_id = $photo_single[0];
    $dupe_id = $photo_dupe_single[4];

    if (($number_of_dupes > 1) && ($_REQUEST[pd.$photo_dupe_single[0]] == "on")) {
      continue;
    }

    $frame_data = array ("title"          => "",
                         "caption"        => "",
                         "copyright"      => "",
                         "shutter"        => "",
                         "aperture"       => "",
                         "camera"         => "",
                         "camera_program" => "",
                         "camera_meter"   => "",
                         "flash_mode"     => "",
                         "flash_comp"     => "",
                         "exp_comp"       => "",
                         "iso"            => "",
                         "iso_override"   => "",
                         "focal_length"   => "");

    $print_frameinfo = FALSE;

    if ($_REQUEST['display_title'] == "on") {
      $frame_data['title']   = $photo_single[2];
      $print_frameinfo = TRUE;
    }

    if ($_REQUEST['display_caption'] == "on") {
      $frame_data['caption']   = $photo_single[9];
      $print_frameinfo = TRUE;
    }

    if ($_REQUEST['display_copyright'] == "on") {
      $today = getdate(time());
      $year  = $today["year"];
      $frame_data['copyright'] = $year . ", ". $photo_single[10];
      $print_frameinfo = TRUE;
    }

    $photo_tech = pg_fetch_row(pg_query($database, "select film, aperture, shutter, focal_length, exposure_comp, flash_comp, camera_metering, camera_program, flash_mode, iso_override, camera from photo_tech where photo='$photo_id'"));

    if (($photo_tech[10] != "") && ($_REQUEST['display_camera'] == "on")) {
      $tmp = pg_fetch_row(pg_query($database, "select name, model, variation from view_camera where identifier=$photo_tech[10]"));
      $frame_data['camera'] = $tmp[0] . " " . $tmp[1] . $tmp[2];
      $print_frameinfo = TRUE;
    }
    if (($photo_tech[0] != "") && ($_REQUEST['display_iso'] == "on")) {
      $tmp = pg_fetch_row(pg_query($database, "select iso from view_film where identifier=$photo_tech[0]"));
      $frame_data['iso'] = $tmp[0];
      $print_frameinfo = TRUE;
    }
    if (($photo_tech[9] != "") && ($_REQUEST['display_iso_override'] == "on")) {
      $tmp = pg_fetch_row(pg_query($database, "select value from film_iso where identifier=$photo_tech[9]"));
      $frame_data['iso_override'] = $tmp[0];
      $print_frameinfo = TRUE;
    }
    if (($photo_tech[1] != "") && ($_REQUEST['display_aperture'] == "on")) {
      $tmp = pg_fetch_row(pg_query($database, "select value from aperture where identifier=$photo_tech[1]"));
      $frame_data['aperture'] = $tmp[0];
      $print_frameinfo = TRUE;
    }
    if (($photo_tech[2] != "") && ($_REQUEST['display_shutter'] == "on")) {
      $tmp = pg_fetch_row(pg_query($database, "select value from shutter where identifier=$photo_tech[2]"));
      $frame_data['shutter'] = $tmp[0];
      $print_frameinfo = TRUE;
    }
    if (($photo_tech[3] != "") && ($_REQUEST['display_focal_length'] == "on")) {
      $tmp = pg_fetch_row(pg_query($database, "select value from focal_length where identifier=$photo_tech[3]"));
      $frame_data['focal_length'] = $tmp[0];
      $print_frameinfo = TRUE;
    }
    if (($photo_tech[4] != "") && ($_REQUEST['display_exp_comp'] == "on")) {
      $tmp = pg_fetch_row(pg_query($database, "select value from ev_comp where identifier=$photo_tech[4]"));
      $frame_data['exp_comp'] = $tmp[0];
      $print_frameinfo = TRUE;
    }
    if (($photo_tech[5] != "") && ($_REQUEST['display_flash_comp'] == "on")) {
      $tmp = pg_fetch_row(pg_query($database, "select value from ev_comp where identifier=$photo_tech[5]"));
      $frame_data['flash_comp'] = $tmp[0];
      $print_frameinfo = TRUE;
    }
    if ($_REQUEST['display_camera_meter'] == "on") {
      $frame_data['camera_meter'] = $photo_tech[6];
      $print_frameinfo = TRUE;
    }
    if ($_REQUEST['display_camera_program'] == "on") {
      $frame_data['camera_program'] = $photo_tech[7];
      $print_frameinfo = TRUE;
    }
    if ($_REQUEST['display_flash_mode'] == "on") {
      $frame_data['flash_mode'] = $photo_tech[8];
      $print_frameinfo = TRUE;
    }

    $bottom_line = $y_pos;

    if ($print_this_image) {
      if ($x_size > $thumb_max_size)
        $image = 4;
      else
        $image = 3;

      $image_file_name = $image_repository_path . "/" . $photo_single[$image];
      $simg = ps_ScaleImage($image_file_name, $x_pos, $y_pos, $x_size, $x_size, $border);
      $bottom_line = $bottom_line - $simg[3] - $y_space;
    }

    if ($print_barcode) {
      $bottom_line = $bottom_line - $y_size - $y_space;
    }

    if ($print_frameinfo){
      $bottom_line = $bottom_line - $y_size;
    }

    if ($bottom_line < 0) {
      $columnIndex++;
      if ($columns <= $columnIndex) {
        $columnIndex = 0;
        $pageIndex++;
        ps_PageBreak($file, $pageIndex, $pageIndex);
      }
      $x_pos = $left_margin + ($x_size + $x_space) * $columnIndex;
      $y_pos = $y_paper - $top_margin;
    }

    ps_PrintCross($file, $x_pos,           $y_pos, 2);
    ps_PrintCross($file, $x_pos + $x_size, $y_pos, 2);

    if ($print_this_image) {
      if ($columns < 4)
        $image = 4;
      else
        $image = 3;

      $image_file_name = $image_repository_path . "/" . $photo_single[$image];
      $simg = ps_ScaleImage($image_file_name, $x_pos, $y_pos, $x_size, $x_size, $border);
      ps_PrintJPEG($file, $image_file_name, $simg[0], $simg[1], $simg[4], $simg[5]);
      $y_pos = $y_pos - $simg[3] - $y_space - 1;
    }

    ps_PrintCross($file, $x_pos,           $y_pos + $y_space, 2);
    ps_PrintCross($file, $x_pos + $x_size, $y_pos + $y_space, 2);
    ps_PrintCross($file, $x_pos,           $y_pos, 2);
    ps_PrintCross($file, $x_pos + $x_size, $y_pos, 2);

    if ($print_barcode) {
      $barcode_id = str_pad($photo_id, 6, "0", STR_PAD_LEFT) . "-" . str_pad($dupe_id, 2, "0", STR_PAD_LEFT) . " ";
      if ($photo_dupe_single[2] == "")
        $storage_location = "";
      else {
        if ($photo_dupe_single[3] == "")
          $storage_location = $photo_dupe_single[2];
        else
          $storage_location = $photo_dupe_single[2] . "-" .$photo_dupe_single[3];
      }

      ps_DrawCode128BarCode($file, $barcode_id, 1, $storage_location, $x_pos, $y_pos, $x_size, $y_size, $border);
      $y_pos = $y_pos - $y_size - $y_space;
    }

    ps_PrintCross($file, $x_pos,           $y_pos + $y_space, 2);
    ps_PrintCross($file, $x_pos + $x_size, $y_pos + $y_space, 2);
    ps_PrintCross($file, $x_pos,           $y_pos, 2);
    ps_PrintCross($file, $x_pos + $x_size, $y_pos, 2);

    if ($print_frameinfo) {
      ps_FrameInfo($file, $x_pos, $y_pos, $x_size, $y_size, $border, $frame_data);
      $y_pos = $y_pos - $y_size - $y_space;
    }

    ps_PrintCross($file, $x_pos,           $y_pos + $y_space, 2);
    ps_PrintCross($file, $x_pos + $x_size, $y_pos + $y_space, 2);
    ps_PrintCross($file, $x_pos,           $y_pos, 2);
    ps_PrintCross($file, $x_pos + $x_size, $y_pos, 2);

    if ($print_type == "brochure") {
      /* leave extra space between photos when printing brochures */
      $y_pos = $y_pos - $y_space;
    }

    $frameIndex++;
  }
}

ps_Footer($file);
fclose($file);
pg_close($database);

if ($output_format == "pdf") {
  system("$sys_ps2pdf ". escapeshellarg($file_name .".ps") ." ". escapeshellarg($file_name .".pdf"));
  unlink($file_name . ".ps");
}

$outputfile = $file_name . "." . $output_format;
$file = fopen($outputfile , "r");
$contents = fread ($file, filesize($outputfile));
fclose($file);
unlink($outputfile);

header("Content-type: application/$output_format");
header("Content-Disposition: filename=printout.$output_format");
print "$contents";
exit;
?>
