<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/database.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";

$database   = po_dbconnect();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['client']) {
  pg_close($database);
  header("location: login.php");
  exit();
}

if ($my_user_id[1] > $user_type['client']) {
  $navi_path = "My Folders and Albums";
}
else {
  $navi_path = "My Albums";
}

$album_id = $_REQUEST['album'];
$album_parent = $_REQUEST['parent'];
$album_all = pg_query($database, "select identifier, caption, parent_album from album where users=$my_user_id[0] order by date_of_creation desc");
$photos_in_album = pg_fetch_row(pg_query($database, "select count_photos_by_album($album_id)"));
$subalbums_in_album = pg_fetch_row(pg_query($database, "select count_subalbums_by_album($album_id)"));
$path_to_album = get_path_to_album($database, $album_id);

site_header($page_width, "Photo Organizer : Edit Album");
site_navigator(5, $my_user_id[1]);
site_navigator_staus("<a href=\"user.php\">Users</a> : <a href=\"my.folder.php\">$navi_path</a>$path_to_folder : Edit album <a href=\"album.php?album=$album_id\">$album_data[0]</a>", "");

print "&nbsp;<br>\n";

$album_data = pg_fetch_row(pg_query($database, "select caption, date_of_creation, access_rights, description, parent_album from album where identifier='$album_id'"));
$photos_in_album = pg_fetch_row(pg_query($database, "select count_photos_by_album($album_id)"));

print "<form method=\"post\" action=\"album.edit.2.php\">";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"28%\">Album Name</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"27%\">Parent album</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\">Subalbums</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\">Photos</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"15%\">Created</td>\n";
if ($my_user_id[1] > $user_type['client']) {
  print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\">Access</td>\n";
}
print "</tr>";
print "<tr>";
print "<td bgcolor=\"$color[table_body]\" >";
print "<input id=\"template_editor\" type=\"text\" name=\"album_caption\" value=\"$album_data[0]\" size=\"50%\"></td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
display_folder_combo("parent", $album_all, $album_parent, "null");
print "</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$photos_in_album[0]</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$subalbums_in_album[0]</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >".generate_date_html($album_data[1], 'date', $my_user_id[0]  == "" ? 0 : 1)."</td>";
if ($my_user_id[1] > $user_type['client']) {
  print "<td bgcolor=\"$color[table_body]\" >";
  display_access_combo("album_access_rights", $album_data[2], ""); print "</td>\n";
}
else {
  print "<input type=\"hidden\" name=\"album_access_rights\" value=\"$access[private]\"></td>";
}
print "</tr>";
print "</table>";

print "&nbsp;<br>\n";

print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td colspan=\"4\" align=\"left\" bgcolor=\"$color[table_header]\" >Description</td>\n";
print "</tr>";
print "<tr>";
print "<td colspan=\"4\" bgcolor=\"$color[table_body]\" >";
print "<textarea wrap=\"physical\" rows=4 size=\"100%\" name=\"album_description\">$album_data[3]</textarea>";
print "</td>";
print "</tr>";
print "</table>";

print "&nbsp;<br>\n";

print "<center>\n";
print "<input type=\"image\" src=\"$theme/button.save.changes.gif\" border=\"0\" value=\"Save Changes\">";
print "<a class=\"nodecor\" href=\"my.folder.php\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"></a>";
print "<input type=\"hidden\" name=\"album\" value=\"$album_id\"><p>";
print "</form>";
print "</center>\n";

print "&nbsp;<br>\n";
site_footer($database);
pg_close($database);
?>
