<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/common.php";
include_once "include/site.php";
include_once "include/orderby.php";
include_once "include/database.php";
include_once "$theme/theme.php";

$session_id  = $_COOKIE[$po_cookie];
$album_id    = $_REQUEST['album'];
$view        = $_REQUEST['view'];
$order_by    = $_REQUEST['order_by'];

$database   = po_dbconnect();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if (!$album_id) {
  site_header($page_width, "Photo Organizer : Display Album");
  site_navigator(5, $my_user_id[1]);
  site_navigator_staus("<a href=\"user.php\">Users</a> : <a href=\"user.php?user=$my_user_id[0]\">My Folders and Albums</a> : No album specified", "");
  print "&nbsp;<br>";
  site_footer($database);
  pg_close($database);
  exit();
}

$album = pg_fetch_row(pg_query($database, "select caption, access_rights, users, orderby, description, users.type from album, users where album.identifier='$album_id' and users.identifier = album.users"));
if (!$album) {
  site_header($page_width, "Photo Organizer : Display Album");
  site_navigator(5, $my_user_id[1]);
  site_navigator_staus("<a href=\"user.php\">Users</a> : <a href=\"user.php?user=$my_user_id[0]\">My Folders and Albums</a> : No such album", "");
  print "&nbsp;<br>";
  site_footer($database);
  pg_close($database);
  exit();
}

if ($view != "") {
  $arguments = $arguments . "&amp;view=$view";
}

if (!$order_by) {
  /* get the last value from the database */
  $order_by = $album[3];
}
else if ($order_by != $album[3]){
  /* if different, set the database, and use the new value */
  pg_query($database, "update album set orderby='$order_by' where identifier=$album_id");
}

$arguments = $arguments . "&amp;order_by=$order_by";
$sql_query_order_by_string = $order_by_string[$order_by][0];

$album_name    = $album[0];
$album_user_id = $album[2];

if ($album_user_id != "" && $my_user_id[0] != "") {
  $client = pg_fetch_row(pg_query($database, "select identifier from client where users='$album_user_id' and client='$my_user_id[0]' and status=2"));
}

if ($my_user_id[0] != $album_user_id && $folder[1] == "f"  && $my_user_id[1] != $user_type['administrator']) {
  pg_close($database);
  header("location: login.php");
  exit();
}

if ($my_user_id[0] != $album_user_id && $album[1] == "p" && $client == ""  && $my_user_id[1] != $user_type['administrator']) {
  pg_close($database);
  header("location: login.php");
  exit();
}

if ($my_user_id[0] == $album_user_id || $my_user_id[1] == $user_type['administrator']) {
  $sql_query_access_rights_string = "";
}
else {
  if ($client == "")
    $sql_query_access_rights_string = "and photo.access_rights = $access[public]";
  else
    $sql_query_access_rights_string = "and photo.access_rights < $access[private]";
}

$user_data = pg_fetch_row(pg_query($database, "
  select first_name, last_name, users.identifier, shop_enable
    from users, preferences
   where users.preferences=preferences.identifier
     and users.identifier=$album_user_id"));

site_header($page_width, "Photo Organizer : Display Album");

if ($my_user_id[0] != "") {
  $my_data = pg_fetch_row(pg_query($database, "
     select num_of_rows, num_of_columns, folder_view, num_of_rows_l, popup_enable, popup_delay
       from users, preferences
      where preferences.identifier=users.preferences
        and users.identifier=$my_user_id[0]"));
  $num_of_rows = $my_data[0];
  $num_of_columns = $my_data[1];
  if ($view=="")
    $view = $my_data[2];
  $num_of_rows_l = $my_data[3];
  $popup_enable  = $my_data[4];
  $popup_delay   = $my_data[5];
}
else {
  $view = "slide";
  $num_of_rows_l  = $default_num_of_rows_in_list_view;
  $num_of_rows    = $default_num_of_rows_in_slide_view;
  $num_of_columns = $default_num_of_columns;
  $popup_enable   = $default_popup_enable;
  $popup_delay    = $default_popup_delay;
}

if ($my_user_id[0] == $album_user_id) {
  site_navigator(5, $my_user_id[1]);
  $user_display_string="My Folders and Albums";
  $my_data = pg_fetch_row(pg_query($database, "
     select num_of_rows, num_of_columns, folder_view, num_of_rows_l, popup_enable, popup_delay
       from users, preferences
      where preferences.identifier=users.preferences
        and users.identifier=$my_user_id[0]"));
  $num_of_rows = $my_data[0];
  $num_of_columns = $my_data[1];
  if ($view=="")
    $view = $my_data[2];
  $num_of_rows_l = $my_data[3];
  $popup_enable  = $my_data[4];
  $popup_delay   = $my_data[5];
}
else {
  site_navigator(1, $my_user_id[1]);
  $user_display_string = sprintf("%s, %s", $user_data[1], $user_data[0]);
}

$num_of_photos_a = pg_fetch_row(pg_query($database, "
   select count(photo.identifier) from album, album_content, photo
    where album_content.photo = photo.identifier
      and album_content.album = album.identifier
      and album.identifier = $album_id
     $sql_query_access_rights_string"));
$num_of_photos = $num_of_photos_a[0];

$offset = $_REQUEST['offset'];
if (!$offset) {
  $offset = 0;
}

if ($view == "slide") {
  $limit = $num_of_rows * $num_of_columns;
}
else {
  $limit = $num_of_rows_l;
}

if ($limit > $num_of_photos) {
  $limit = $num_of_photos;
}

$album_photo = pg_query($database,
  "select photo.identifier, photo_version.small_image_path, photo.caption, date_of_exposure, photo_dupe.date_of_creation,
          (select value from access_type where access_type.identifier = photo.access_rights) as access_rights,
          11 - (select avg(rating.value) from rating where rating.photo = photo.identifier) as rating,
          views,
          (select is_photo_for_sale(photo.identifier)) as for_sale,
          photo.title, photo.author, photo.keyword,
          photo_version.original_image_name, photo.users
     from album, album_content, photo, photo_dupe, photo_version
    where album_content.photo = photo.identifier
      and album_content.album = album.identifier
      and photo.identifier = photo_version.photo
      and photo.identifier = photo_dupe.photo
      and album.users = $album_user_id
      and album.identifier = $album_id
      and photo_dupe.key = 1
      and photo_version.master = 't'
      $sql_query_access_rights_string
    order by $sql_query_order_by_string
   offset $offset
    limit $limit");

$path_to_album = get_path_to_album($database, $album_id);

if ($num_of_photos == 0) {
  site_navigator_staus("<a href=\"user.php\">Users</a> : <a href=\"user.php?user=$user_data[2]\">$user_display_string</a>$path_to_album : $album[0] : is empty, or contains no public pictures", "");

  if ($album[4]) {
    print "&nbsp;<br>";
    site_navigator_staus($album[4], "");
  }

  print "&nbsp;<br>";
  display_albums($database, "$album_id", $my_user_id[0], $my_user_id[1], $album[2], $album[5], "with_header");
  print "&nbsp;<br>";
  site_footer($database);
  pg_close($database);
  exit;
}
else {
  site_navigator_staus("<a href=\"user.php\">Users</a> : <a href=\"user.php?user=$user_data[2]\">$user_display_string</a>$path_to_album : $album[0]", "Displaying photos " . display_photo_index_status($offset, $limit, $num_of_photos));
}

if ($album[4]) {
  print "&nbsp;<br>";
  site_navigator_staus($album[4], "");
}

print "&nbsp;<br>";
display_albums($database, "$album_id", $my_user_id[0], $my_user_id[1], $album[2], $album[5], "with_header");

print "<script language=\"JavaScript\" type=\"text/javascript\" src=\"javascript/select.js\"></script>";
print "<script language=\"JavaScript\" type=\"text/javascript\" src=\"javascript/util.js\"></script>";
print "&nbsp;<br>\n";
print "<form  name=\"photoList\" method=\"post\" action=\"folder.content.php\">";
print "<input type=\"hidden\" name=\"user\" value=\"$album_user_id\">";
print "<input type=\"hidden\" name=\"return\" value=\"album.php?album=$album_id$arguments\">";
print "<input type=\"hidden\" name=\"view\" value=\"$view\">";
print "<input type=\"hidden\" name=\"source_album\" value=\"$album_id\">";

if (($offset + $limit) > $num_of_photos) {
  $items = $num_of_photos - $offset;
}
else {
  $items = $limit;
}

display_photo_navigator("album", $arguments, $album_user_id, $album_id, $offset, $limit, $num_of_photos);
if ($view=="slide") {
  display_photo_slides("album", $my_user_id[0], $my_user_id[1], $album_id, $album_photo, $items, $num_of_columns, $popup_enable, $popup_delay, $user_data[3], true, $order_by);
}
else {
  print "&nbsp;<br>\n";
  display_photo_list("album", $my_user_id[0], $my_user_id[1], $album_id, $album_photo, $items, $user_data[3], $order_by);
  print "&nbsp;<br>\n";
}
display_photo_navigator("album", $arguments, $album_user_id, $album_id, $offset, $limit, $num_of_photos);

print "&nbsp;<br>\n";
site_navigator_staus("<a href=\"user.php\">Users</a> : <a href=\"user.php?user=$user_data[2]\">$user_display_string</a>$path_to_album : $album[0]",  "Displaying photos " . display_photo_index_status($offset, $limit, $num_of_photos));

if ($my_user_id[0] == $album_user_id || $my_user_id[1] == $user_type['administrator']) {
  print "<input type=\"hidden\" name=\"source_album\" value=\"$album_id\">\n";

  print "<table align=\"left\" valign=\"middle\" cellpadding=\"0\" border=\"0\">";
  print "<tr>";

  print "<td align=\"left\" valign=\"middle\">";
  if ($order_by != "") {
    $order_by_argument = "&order_by=$order_by";
  }
  else {
    $order_by_argument = "";
  }
  display_order_by_combo_with_button($order_by);
  print "</td>";
  print "<td align=\"left\" valign=\"middle\">&nbsp;&nbsp;</td>";

  print "<td align=\"left\" valign=\"middle\">";
  $album_all = pg_query($database, "
     select identifier, caption, parent_album
       from album
      where users=$album_user_id
        and album.identifier!=$album_id
      order by date_of_creation desc");
  display_moveto_album($album_all, $album_id);
  print "</td>";
  print "<td align=\"left\" valign=\"middle\">&nbsp;&nbsp;</td>";

  /* display printto only for album owners that are users */
  if (($my_user_id[0] == $album_user_id) && ($my_user_id[1] > $user_type['client'])) {
    print "<td align=\"left\" valign=\"middle\">";
    display_printto();
    print "</td>";
    print "<td align=\"left\" valign=\"middle\">&nbsp;&nbsp;</td>";
    print "<td align=\"left\" valign=\"middle\">";
    display_export();
    print "</td>";
    print "<td align=\"left\" valign=\"middle\">&nbsp;&nbsp;</td>";
  }

  print "<td align=\"left\" valign=\"middle\">";

  if ($view=="slide")
    print "<a class=\"nodecor\" href=\"album.php?album=$album_id$order_by_argument&amp;view=list&amp;offset=$offset\"><img src=\"$theme/button.list.view.gif\" alt=\"List View\" border=\"0\"></a>\n";
  else
    print "<a class=\"nodecor\" href=\"album.php?album=$album_id$order_by_argument&amp;view=slide&amp;offset=$offset\"><img src=\"$theme/button.slide.view.gif\" alt=\"Slide View\" border=\"0\"></a>\n";
  print "</td>";

  print "<td align=\"left\" valign=\"middle\">";
  print "<a class=\"nodecor\" href=\"javascript:setChecked('photocb'); changeImage('selectButton', '$theme/button.deselect.all.gif', '$theme/button.select.all.gif')\"><img name=\"selectButton\" src=\"$theme/button.select.all.gif\" border=\"0\"></a>\n";
  print "</td>";

  print "</tr>";
  print "</table>";
}
elseif ($my_user_id[1] >= $user_type['client']) {
  print "<table align=\"left\" valign=\"middle\" cellpadding=\"0\" border=\"0\">";
  print "<tr>";

  print "<td align=\"left\" valign=\"middle\">";
  print "<input type=\"hidden\" name=\"basket\" value=\"yes\">";
  print "<a class=\"nodecor\" href=\"javascript:setChecked('photocb'); changeImage('selectButton', '$theme/button.deselect.all.gif', '$theme/button.select.all.gif')\"><img name=\"selectButton\" src=\"$theme/button.select.all.gif\" border=\"0\"></a>\n";
  print "</td>";

  print "<td align=\"left\" valign=\"middle\">&nbsp;&nbsp;</td><td align=\"left\" valign=\"middle\">";
  print "<input type=\"image\" src=\"$theme/button.put.selection.to.basket.gif\" alt=\"Put Selection to Basket\">\n";
  print "<a class=\"nodecor\" href=\"basket.php\"><img src=\"$theme/button.view.basket.gif\" alt=\"View Basket\" border=\"0\"></a>\n";
  print "</td>";

  print "<td align=\"left\" valign=\"middle\">&nbsp;&nbsp;</td><td align=\"left\" valign=\"middle\">";
  $album_all = pg_query($database, "select identifier, caption, parent_album from album where users=$my_user_id[0] and type='c' order by date_of_creation desc");
  if (pg_num_rows($album_all) > 0) {
    display_linkto_album($album_all, $album_id);
  }
  print "</td>";

  print "</tr>";
  print "</table>";
}
print "</form>\n";

print "&nbsp;<br>\n";
print "<script language=\"JavaScript\" type=\"text/javascript\" src=\"javascript/wz_tooltip.js\"></script>";
site_footer($database);
pg_close($database);
?>
