<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/database.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";

$database = po_dbconnect();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['user']) {
  pg_close($database);
  header("location: login.php");
  exit();
}

$folder_id=$_REQUEST['folder'];
$folder_data = pg_fetch_row(pg_query($database, "select caption, date_of_creation, access_rights, parent_folder, description from folder where identifier='$folder_id'"));
$folder_all = pg_query($database, "select identifier, caption, parent_folder from folder where users=$my_user_id[0] and identifier!=$folder_id and caption!='Trash' and caption!='Orphanage' order by date_of_creation desc");
$photos_in_folder = pg_fetch_row(pg_query($database, "select count_photos_by_folder($folder_id)"));
$subfolders_in_folder = pg_fetch_row(pg_query($database, "select count_subfolders_by_folder($folder_id)"));
$path_to_folder = get_path_to_folder($database, $folder_id);
site_header($page_width, "Photo Organizer : Edit Folder");
site_navigator(5, $my_user_id[1]);
site_navigator_staus("<a href=\"user.php\">Users</a> : <a href=\"my.folder.php\">My Folders and Albums</a>$path_to_folder : Edit folder <a href=\"folder.php?folder=$folder_id\">$folder_data[0]</a>", "");
print "&nbsp;<br>\n";

print "<form method=\"post\" action=\"folder.edit.2.php\">";
print "<input type=\"hidden\" name=\"folder\" value=\"$folder_id\"><p>";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"28%\">Folder Name</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"27%\">Parent folder</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\">Subfolders</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\">Photos</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"15%\">Created</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\">Access</td>\n";
print "</tr>";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><input id=\"template_editor\" type=\"text\" name=\"folder_caption\" value=\"$folder_data[0]\"></td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
display_folder_combo("parent", $folder_all, $folder_data[3], "null");
print "</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$subfolders_in_folder[0]</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$photos_in_folder[0]</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >".generate_date_html($folder_data[1], 'date', $my_user_id[0]  == "" ? 0 : 1). "</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >"; display_access_combo("folder_access_rights", $folder_data[2], ""); print "</td>\n";
print "</tr>";
print "</table>";

print "&nbsp;<br>\n";

print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td colspan=\"6\" align=\"left\" bgcolor=\"$color[table_header]\">Description</td>";
print "</tr>";
print "<tr>";
print "<td colspan=\"6\" bgcolor=\"$color[table_body]\" >";
print "<textarea id=\"template_editor\" wrap=\"soft\" name=\"folder_description\" rows=\"4\" cols=\"80\">$folder_data[4]</textarea>";
print "</td>";
print "</tr>";
print "</table>";
print "&nbsp;<br>\n";

print "<center>\n";
print "<input type=\"image\" src=\"$theme/button.save.changes.gif\" border=\"0\" value=\"Save Changes\">";
print "<a class=\"nodecor\" href=\"";
if (!$folder_parent) {
  print "my.folder.php";
}
else {
  print "folder.php?folder=$folder_parent";
}
print "\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"></a>";
print "</form>";
print "</center>\n";
site_footer($database);
pg_close($database);
?>
