<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


$im_color_map = array(
  array("name" => "alice blue",              "hex" => "f0f8ff"),
  array("name" => "antique white",           "hex" => "faebd7"),
  array("name" => "aqua",                    "hex" => "00ffff"),
  array("name" => "aquamarine",              "hex" => "7fffd4"),
  array("name" => "azure",                   "hex" => "f0ffff"),
  array("name" => "beige",                   "hex" => "f5f5dc"),
  array("name" => "bisque",                  "hex" => "ffe4c4"),
  array("name" => "black",                   "hex" => "000000"),
  array("name" => "blanche dalmond",         "hex" => "ffebcd"),
  array("name" => "blue",                    "hex" => "0000ff"),
  array("name" => "blue violet",             "hex" => "8a2be2"),
  array("name" => "brown",                   "hex" => "a52a2a"),
  array("name" => "burlywood",               "hex" => "deb887"),
  array("name" => "cadet blue",              "hex" => "5f9ea0"),
  array("name" => "chartreuse",              "hex" => "7fff00"),
  array("name" => "chocolate",               "hex" => "d2691e"),
  array("name" => "coral",                   "hex" => "ff7f50"),
  array("name" => "corn flowerblue",         "hex" => "6495ed"),
  array("name" => "corn silk",               "hex" => "fff8dc"),
  array("name" => "crimson",                 "hex" => "dc143c"),
  array("name" => "cyan",                    "hex" => "00ffff"),
  array("name" => "dark blue",               "hex" => "00008b"),
  array("name" => "dark cyan",               "hex" => "008b8b"),
  array("name" => "dark goldenrod",          "hex" => "b8860b"),
  array("name" => "dark gray",               "hex" => "a9a9a9"),
  array("name" => "dark green",              "hex" => "006400"),
  array("name" => "dark gray",               "hex" => "a9a9a9"),
  array("name" => "dark khaki",              "hex" => "bdb76b"),
  array("name" => "dark magenta",            "hex" => "8b008b"),
  array("name" => "dark olive green",        "hex" => "556b2f"),
  array("name" => "dark orange",             "hex" => "ff8c00"),
  array("name" => "dark orchid",             "hex" => "9932cc"),
  array("name" => "dark red",                "hex" => "8b0000"),
  array("name" => "dark salmon",             "hex" => "e9967a"),
  array("name" => "dark seagreen",           "hex" => "8fbc8f"),
  array("name" => "dark slate blue",         "hex" => "483d8b"),
  array("name" => "dark slate gray",         "hex" => "2f4f4f"),
  array("name" => "dark turquoise",          "hex" => "00ced1"),
  array("name" => "dark violet",             "hex" => "9400d3"),
  array("name" => "deep pink",               "hex" => "ff1493"),
  array("name" => "deep sky blue",           "hex" => "00bfff"),
  array("name" => "dim gray",                "hex" => "696969"),
  array("name" => "dodger blue",             "hex" => "1e90ff"),
  array("name" => "fire brick",              "hex" => "b22222"),
  array("name" => "floral white",            "hex" => "fffaf0"),
  array("name" => "forest green",            "hex" => "228b22"),
  array("name" => "fractal",                 "hex" => "808080"),
  array("name" => "fuchsia",                 "hex" => "ff00ff"),
  array("name" => "gainsboro",               "hex" => "dcdcdc"),
  array("name" => "ghost white",             "hex" => "f8f8ff"),
  array("name" => "gold",                    "hex" => "ffd700"),
  array("name" => "golden rod",              "hex" => "daa520"),
  array("name" => "gray",                    "hex" => "7e7e7e"),
  array("name" => "gray01",                  "hex" => "030303"),
  array("name" => "gray02",                  "hex" => "050505"),
  array("name" => "gray03",                  "hex" => "080808"),
  array("name" => "gray04",                  "hex" => "0a0a0a"),
  array("name" => "gray05",                  "hex" => "0d0d0d"),
  array("name" => "gray06",                  "hex" => "0f0f0f"),
  array("name" => "gray07",                  "hex" => "121212"),
  array("name" => "gray08",                  "hex" => "141414"),
  array("name" => "gray09",                  "hex" => "171717"),
  array("name" => "gray10",                  "hex" => "1a1a1a"),
  array("name" => "gray11",                  "hex" => "1c1c1c"),
  array("name" => "gray12",                  "hex" => "1f1f1f"),
  array("name" => "gray13",                  "hex" => "212121"),
  array("name" => "gray14",                  "hex" => "242424"),
  array("name" => "gray15",                  "hex" => "262626"),
  array("name" => "gray16",                  "hex" => "292929"),
  array("name" => "gray17",                  "hex" => "2b2b2b"),
  array("name" => "gray18",                  "hex" => "2e2e2e"),
  array("name" => "gray19",                  "hex" => "303030"),
  array("name" => "gray20",                  "hex" => "333333"),
  array("name" => "gray21",                  "hex" => "363636"),
  array("name" => "gray22",                  "hex" => "383838"),
  array("name" => "gray23",                  "hex" => "3b3b3b"),
  array("name" => "gray24",                  "hex" => "3d3d3d"),
  array("name" => "gray25",                  "hex" => "404040"),
  array("name" => "gray26",                  "hex" => "424242"),
  array("name" => "gray27",                  "hex" => "454545"),
  array("name" => "gray28",                  "hex" => "474747"),
  array("name" => "gray29",                  "hex" => "4a4a4a"),
  array("name" => "gray30",                  "hex" => "4d4d4d"),
  array("name" => "gray31",                  "hex" => "4f4f4f"),
  array("name" => "gray32",                  "hex" => "525252"),
  array("name" => "gray33",                  "hex" => "545454"),
  array("name" => "gray34",                  "hex" => "575757"),
  array("name" => "gray35",                  "hex" => "595959"),
  array("name" => "gray36",                  "hex" => "5c5c5c"),
  array("name" => "gray37",                  "hex" => "5e5e5e"),
  array("name" => "gray38",                  "hex" => "616161"),
  array("name" => "gray39",                  "hex" => "636363"),
  array("name" => "gray40",                  "hex" => "666666"),
  array("name" => "gray41",                  "hex" => "696969"),
  array("name" => "gray42",                  "hex" => "6b6b6b"),
  array("name" => "gray43",                  "hex" => "6e6e6e"),
  array("name" => "gray44",                  "hex" => "707070"),
  array("name" => "gray45",                  "hex" => "737373"),
  array("name" => "gray46",                  "hex" => "757575"),
  array("name" => "gray47",                  "hex" => "787878"),
  array("name" => "gray48",                  "hex" => "7a7a7a"),
  array("name" => "gray49",                  "hex" => "7d7d7d"),
  array("name" => "gray50",                  "hex" => "7f7f7f"),
  array("name" => "gray51",                  "hex" => "828282"),
  array("name" => "gray52",                  "hex" => "858585"),
  array("name" => "gray53",                  "hex" => "878787"),
  array("name" => "gray54",                  "hex" => "8a8a8a"),
  array("name" => "gray55",                  "hex" => "8c8c8c"),
  array("name" => "gray56",                  "hex" => "8f8f8f"),
  array("name" => "gray57",                  "hex" => "919191"),
  array("name" => "gray58",                  "hex" => "949494"),
  array("name" => "gray59",                  "hex" => "969696"),
  array("name" => "gray60",                  "hex" => "999999"),
  array("name" => "gray61",                  "hex" => "9c9c9c"),
  array("name" => "gray62",                  "hex" => "9e9e9e"),
  array("name" => "gray63",                  "hex" => "a1a1a1"),
  array("name" => "gray64",                  "hex" => "a3a3a3"),
  array("name" => "gray65",                  "hex" => "a6a6a6"),
  array("name" => "gray66",                  "hex" => "a8a8a8"),
  array("name" => "gray67",                  "hex" => "ababab"),
  array("name" => "gray68",                  "hex" => "adadad"),
  array("name" => "gray69",                  "hex" => "b0b0b0"),
  array("name" => "gray70",                  "hex" => "b3b3b3"),
  array("name" => "gray71",                  "hex" => "b5b5b5"),
  array("name" => "gray72",                  "hex" => "b8b8b8"),
  array("name" => "gray73",                  "hex" => "bababa"),
  array("name" => "gray74",                  "hex" => "bdbdbd"),
  array("name" => "gray75",                  "hex" => "bfbfbf"),
  array("name" => "gray76",                  "hex" => "c2c2c2"),
  array("name" => "gray77",                  "hex" => "c4c4c4"),
  array("name" => "gray78",                  "hex" => "c7c7c7"),
  array("name" => "gray79",                  "hex" => "c9c9c9"),
  array("name" => "gray80",                  "hex" => "cccccc"),
  array("name" => "gray81",                  "hex" => "cfcfcf"),
  array("name" => "gray82",                  "hex" => "d1d1d1"),
  array("name" => "gray83",                  "hex" => "d4d4d4"),
  array("name" => "gray84",                  "hex" => "d6d6d6"),
  array("name" => "gray85",                  "hex" => "d9d9d9"),
  array("name" => "gray86",                  "hex" => "dbdbdb"),
  array("name" => "gray87",                  "hex" => "dedede"),
  array("name" => "gray88",                  "hex" => "e0e0e0"),
  array("name" => "gray89",                  "hex" => "e3e3e3"),
  array("name" => "gray90",                  "hex" => "e5e5e5"),
  array("name" => "gray91",                  "hex" => "e8e8e8"),
  array("name" => "gray92",                  "hex" => "ebebeb"),
  array("name" => "gray93",                  "hex" => "ededed"),
  array("name" => "gray94",                  "hex" => "f0f0f0"),
  array("name" => "gray95",                  "hex" => "f2f2f2"),
  array("name" => "gray96",                  "hex" => "f5f5f5"),
  array("name" => "gray97",                  "hex" => "f7f7f7"),
  array("name" => "gray98",                  "hex" => "fafafa"),
  array("name" => "gray99",                  "hex" => "fcfcfc"),
  array("name" => "green",                   "hex" => "008000"),
  array("name" => "green yellow",            "hex" => "adff2f"),
  array("name" => "honey dew",               "hex" => "f0fff0"),
  array("name" => "hot pink",                "hex" => "ff69b4"),
  array("name" => "indian red",              "hex" => "cd5c5c"),
  array("name" => "indigo",                  "hex" => "4b0082"),
  array("name" => "ivory",                   "hex" => "fffff0"),
  array("name" => "khaki",                   "hex" => "f0e68c"),
  array("name" => "lavender",                "hex" => "e6e6fa"),
  array("name" => "lavender blush",          "hex" => "fff0f5"),
  array("name" => "lawn green",              "hex" => "7cfc00"),
  array("name" => "lemon chiffon",           "hex" => "fffacd"),
  array("name" => "light blue",              "hex" => "add8e6"),
  array("name" => "light coral",             "hex" => "f08080"),
  array("name" => "light cyan",              "hex" => "e0ffff"),
  array("name" => "light golden rod yellow", "hex" => "fafad2"),
  array("name" => "light gray",              "hex" => "d3d3d3"),
  array("name" => "light green",             "hex" => "90ee90"),
  array("name" => "light gray",              "hex" => "d3d3d3"),
  array("name" => "light pink",              "hex" => "ffb6c1"),
  array("name" => "light salmon",            "hex" => "ffa07a"),
  array("name" => "light sea green",         "hex" => "20b2aa"),
  array("name" => "light sky blue",          "hex" => "87cefa"),
  array("name" => "light slate gray",        "hex" => "778899"),
  array("name" => "light steel blue",        "hex" => "b0c4de"),
  array("name" => "light yellow",            "hex" => "ffffe0"),
  array("name" => "lime",                    "hex" => "00ff00"),
  array("name" => "lime green",              "hex" => "32cd32"),
  array("name" => "linen",                   "hex" => "faf0e6"),
  array("name" => "magenta",                 "hex" => "ff00ff"),
  array("name" => "maroon",                  "hex" => "800000"),
  array("name" => "medium aquamarine",       "hex" => "66cdaa"),
  array("name" => "medium blue",             "hex" => "0000cd"),
  array("name" => "medium orchid",           "hex" => "ba55d3"),
  array("name" => "medium purple",           "hex" => "9370db"),
  array("name" => "medium sea green",        "hex" => "3cb371"),
  array("name" => "medium slate blue",       "hex" => "7b68ee"),
  array("name" => "medium spring green",     "hex" => "00fa9a"),
  array("name" => "medium turquoise",        "hex" => "48d1cc"),
  array("name" => "medium violet red",       "hex" => "c71585"),
  array("name" => "midnight blue",           "hex" => "191970"),
  array("name" => "mint cream",              "hex" => "f5fffa"),
  array("name" => "misty rose",              "hex" => "ffe4e1"),
  array("name" => "moccasin",                "hex" => "ffe4b5"),
  array("name" => "navajo white",            "hex" => "ffdead"),
  array("name" => "navy",                    "hex" => "000080"),
  array("name" => "old lace",                "hex" => "fdf5e6"),
  array("name" => "olive",                   "hex" => "808000"),
  array("name" => "olive drab",              "hex" => "6b8e23"),
  array("name" => "orange",                  "hex" => "ffa500"),
  array("name" => "orange red",              "hex" => "ff4500"),
  array("name" => "orchid",                  "hex" => "da70d6"),
  array("name" => "pale golden rod",         "hex" => "eee8aa"),
  array("name" => "pale green",              "hex" => "98fb98"),
  array("name" => "pale turquoise",          "hex" => "afeeee"),
  array("name" => "pale violet red",         "hex" => "db7093"),
  array("name" => "papaya whip",             "hex" => "ffefd5"),
  array("name" => "peach puff",              "hex" => "ffdab9"),
  array("name" => "peru",                    "hex" => "cd853f"),
  array("name" => "pink",                    "hex" => "ffc0cb"),
  array("name" => "plum",                    "hex" => "dda0dd"),
  array("name" => "powder blue",             "hex" => "b0e0e6"),
  array("name" => "purple",                  "hex" => "800080"),
  array("name" => "red",                     "hex" => "ff0000"),
  array("name" => "rosy brown",              "hex" => "bc8f8f"),
  array("name" => "royal blue",              "hex" => "4169e1"),
  array("name" => "saddle brown",            "hex" => "8b4513"),
  array("name" => "salmon",                  "hex" => "fa8072"),
  array("name" => "sandy brown",             "hex" => "f4a460"),
  array("name" => "sea green",               "hex" => "2e8b57"),
  array("name" => "sea shell",               "hex" => "fff5ee"),
  array("name" => "sienna",                  "hex" => "a0522d"),
  array("name" => "silver",                  "hex" => "c0c0c0"),
  array("name" => "sky blue",                "hex" => "87ceeb"),
  array("name" => "slate blue",              "hex" => "6a5acd"),
  array("name" => "slate gray",              "hex" => "708090"),
  array("name" => "snow",                    "hex" => "fffafa"),
  array("name" => "spring green",            "hex" => "00ff7f"),
  array("name" => "steel blue",              "hex" => "4682b4"),
  array("name" => "tan",                     "hex" => "d2b48c"),
  array("name" => "teal",                    "hex" => "008080"),
  array("name" => "thistle",                 "hex" => "d8bfd8"),
  array("name" => "tomato",                  "hex" => "ff6347"),
  array("name" => "turquoise",               "hex" => "40e0d0"),
  array("name" => "violet",                  "hex" => "ee82ee"),
  array("name" => "wheat",                   "hex" => "f5deb3"),
  array("name" => "white",                   "hex" => "ffffff"),
  array("name" => "white smoke",             "hex" => "f5f5f5"),
  array("name" => "yellow",                  "hex" => "ffff00"),
  array("name" => "yellow green",            "hex" => "9acd32")
);

$im_color_space = array("RGB", "YUV", "CMYK", "GRAY", "Transparent", "OHTA", "XYZ", "YCbCr", "YIQ", "YPbPr", "sRGB");

function get_color_name($color_hex) {
  global $im_color_map;

  foreach ($im_color_map as $color) {
    if ($color['hex'] == $color_hex)
      return $color['name'];
  }
  return "none";
}

function display_im_colorspace_combo($identifier, $current_value) {
  global $im_color_space;

  print "<select name=\"$identifier\">";
  foreach ($im_color_space as $colorspace) {
    if ($colorspace == $current_value)
      print "<option value=\"$colorspace\" selected>" . $colorspace . "</option>";
    else
      print "<option value=\"$colorspace\">" . $colorspace . "</option>";
  }
  print "</select>";
}


function display_im_quality_combo($identifier, $current_value) {
  print "<select name=\"$identifier\">";
  for ($i = 100; $i >= 0; $i -= 10) {
    switch ($i) {
    case 100:
      $value = "Best";
      break;
    case 0:
      $value = "Worst";
      break;
    default:
      $value = $i;
    }
    if ($i == $current_value)
      print "<option value=\"$i\" selected>$value</option>";
    else
      print "<option value=\"$i\">$value</option>";
  }
  print "</select>";
}

function display_im_sharpen_combo($identifier, $current_value) {
  print "<select name=\"$identifier\">";
  $step = 0.10;
  for ($i = 0.10; $i < 1; $i += $step) {
    if (bccomp("$i", "$current_value", 1) == 0)
      print "<option value=\"$i\" selected>$i</option>";
    else
      print "<option value=\"$i\">$i</option>";
  }
  for ($i=1; $i < 11; $i++) {
    if ($i == $current_value)
      print "<option value=\"$i\" selected>$i</option>";
    else
      print "<option value=\"$i\">$i</option>";
  }
  print "</select>";
}

function display_im_threshold_combo($identifier, $current_value) {
  print "<select name=\"$identifier\">";
  $step = 0.05;
  $selected = 0;
  for ($i = 0.00; $i < 1; $i += $step) {
    if (($selected == 0) &&
	(($i == $current_value) ||
	 (bccomp("$i", "$current_value", 2) == 0))) {
	$selected = 1;
        print "<option value=\"$i\" selected>$i</option>";
    } else {
      print "<option value=\"$i\">$i</option>";
    }
  }
  print "</select>";
}

function display_im_amount_combo($identifier, $current_value) {
  print "<select name=\"$identifier\">";
  $step = 0.10;
  $selected = 0;
  for ($i = 0.00; $i <= 5; $i += $step) {
    if (($selected == 0) &&
	(($i == $current_value) ||
	 (bccomp("$i", "$current_value", 2) == 0))) {
	$selected = 1;
        print "<option value=\"$i\" selected>$i</option>";
    } else {
      print "<option value=\"$i\">$i</option>";
    }
  }
  print "</select>";
}

function display_im_gamma_combo($identifier, $current_value) {
  print "<select name=\"$identifier\">";
  $step = 0.10;
  for ($i = 0.8; $i <= 2.3; $i += $step) {
    if (bccomp("$i", "$current_value", 1) == 0)
      print "<option value=\"$i\" selected>$i</option>";
    else
      print "<option value=\"$i\">$i</option>";
  }
  print "</select>";
}

function display_im_color_combo($identifier, $current_value) {
  global $im_color_map;

  print "<select name=\"$identifier\">";
  foreach ($im_color_map as $color) {
    if ($color['hex'] == $current_value)
      print "<option value=\"". $color['hex'] ."\" style=\"background-color: #".$color['hex']."\" selected>" . $color['name'] ."</option>";
    else
      print "<option value=\"". $color['hex'] ."\" style=\"background-color: #".$color['hex']."\">" . $color['name'] ."</option>";
  }
  print "</select>";
}

function display_im_border_combo($identifier, $current_value) {
  print "<select name=\"$identifier\">";
  for ($i=0; $i < 10; $i++) {
    if ($i == $current_value)
      print "<option value=\"$i\" selected>$i</option>";
    else
      print "<option value=\"$i\">$i</option>";
  }
  for ($i=10; $i < 60; $i += 10) {
    if ($i == $current_value)
      print "<option value=\"$i\" selected>$i</option>";
    else
      print "<option value=\"$i\">$i</option>";
  }
  print "</select>";
}

function display_im_watermark_brightness($identifier, $current_value) {
  print "<select name=\"$identifier\">";
  for ($i = 100; $i >= 0; $i -= 10) {
    switch ($i) {
    case 0:
      $value = "No Watermarking";
      break;
    default:
      $value = $i;
    }
    if ($i == $current_value)
      print "<option value=\"$i\" selected>$value</option>";
    else
      print "<option value=\"$i\">$value</option>";
  }
  print "</select>";
}

function display_im_watermark_mask_location($identifier, $current_value) {
  if ($current_value == "northwest")
    $northwest_checked = "checked";
  if ($current_value == "west")
    $west_checked = "checked";
  if ($current_value == "southwest")
    $southwest_checked = "checked";
  if ($current_value == "north")
    $north_checked = "checked";
  if ($current_value == "center")
    $center_checked = "checked";
  if ($current_value == "south")
    $south_checked = "checked";
  if ($current_value == "northeast")
    $northeast_checked = "checked";
  if ($current_value == "east")
    $east_checked = "checked";
  if ($current_value == "southeast")
    $southeast_checked = "checked";

  print "<table cellspacing=\"1\" cellpadding=\"3\" border=\"0\">\n";
  print "<tr>";
  print "<td align=\"left\"><input type=\"radio\" name=\"$identifier\" value=\"northwest\" $northwest_checked>North West</td>";
  print "<td align=\"left\"><input type=\"radio\" name=\"$identifier\" value=\"north\" $north_checked>North</td>";
  print "<td align=\"left\"><input type=\"radio\" name=\"$identifier\" value=\"northeast\" $northeast_checked>North East</td>";
  print "</tr>\n";
  print "<tr>";
  print "<td align=\"left\"><input type=\"radio\" name=\"$identifier\" value=\"west\" $west_checked>West</td>";
  print "<td align=\"left\"><input type=\"radio\" name=\"$identifier\" value=\"center\" $center_checked>Center</td>";
  print "<td align=\"left\"><input type=\"radio\" name=\"$identifier\" value=\"east\" $east_checked>East</td>";
  print "</tr>\n";
  print "<tr>";
  print "<td align=\"left\"><input type=\"radio\" name=\"$identifier\" value=\"southwest\" $southwest_checked>South West</td>";
  print "<td align=\"left\"><input type=\"radio\" name=\"$identifier\" value=\"south\" $south_checked>South</td>";
  print "<td align=\"left\"><input type=\"radio\" name=\"$identifier\" value=\"southeast\" $southeast_checked>South East</td>";
  print "</tr>\n";
  print "</table>\n";
}

function display_dcraw_float_resolution_combo($identifier, $current_value, $max_value) {
  print "<select name=\"$identifier\">";
  $step = 0.10;
  for ($i = 0.10; $i < 1; $i += $step) {
    if (bccomp("$i", "$current_value", 1) == 0)
      print "<option value=\"$i\" selected>$i</option>";
    else
      print "<option value=\"$i\">$i</option>";
  }
  for ($i=1; $i <= $max_value; $i += $step) {
    if ($i == $current_value)
      print "<option value=\"$i\" selected>$i</option>";
    else
      print "<option value=\"$i\">$i</option>";
  }
  print "</select>";
}

function display_dcraw_white_balance_combo($identifier, $current_value) {
  print "<select name=\"$identifier\">";
  if ($current_value == "automatic") {
    print "<option value=\"automatic\" selected>automatic</option>";
    print "<option value=\"camera\">camera</option>";
  }
  else {
    print "<option value=\"automatic\">automatic</option>";
    print "<option value=\"camera\" selected>camera</option>";
  }
  print "</select>";
}

function display_dcraw_bitdepth_combo($identifier, $current_value) {
  print "<select name=\"$identifier\">";
  for ($i = 24; $i <= 48; $i += 24) {
    if ($i == $current_value)
      print "<option value=\"$i\" selected>$i</option>";
    else
      print "<option value=\"$i\">$i</option>";
  }
  print "</select>";
}

?>
