<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/profile.php";
include_once "include/database.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/site.php";

$database = po_dbconnect();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier from users where session_id='$session_id'"));
if ($my_user_id[0] == "") {
  pg_close($database);
  header("location: login.php");
  exit();
}

$label_name   = pg_escape_string($_REQUEST['label_name']);
$item         = $_REQUEST['item'];
$manufacturer = $_REQUEST['manufacturer'];
$paper        = $_REQUEST['paper'];
$left_margin  = $_REQUEST['left_margin'];
$top_margin   = $_REQUEST['top_margin'];
$x_space      = $_REQUEST['x_space'];
$y_space      = $_REQUEST['y_space'];
$x_size       = $_REQUEST['x_size'];
$y_size       = $_REQUEST['y_size'];
$columns      = $_REQUEST['columns'];
$rows         = $_REQUEST['rows'];


pg_query($database, "
  update label
     set manufacturer = $manufacturer,
         name = '$label_name',
         space_x = $x_space,
         space_y = $y_space,
         size_x = $x_size,
         size_y = $y_size,
         offset_x = $left_margin,
         offset_y = $top_margin,
         columns = $columns,
         rows  = $rows,
         paper = $paper,
         last_modified_date = now()
   where users = $my_user_id[0]
     and identifier = $item");

pg_close($database);
header("location: my.profile.php?selector=".$profile_data['label']['idx']);
?>
