<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/tools.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";
include_once "include/database.php";

$database = po_dbconnect();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['user']) {
  pg_close($database);
  header("location: login.php");
  exit();
}

$selector = $_REQUEST['selector'];
if (!$selector) {
  $selector = 1;
}

site_header($page_width, "Photo Organizer : Display Tools");
site_navigator(10, $my_user_id[1]);
site_navigator_staus("<a href=\"user.php\">Users</a> : My Tools", "");

print "&nbsp;<br>";
display_navigator_box_top($selector, $tools_data, "100%");

switch ($selector) {
 case $tools_data['bulkupdate']['idx']:
   $selector_id = $tools_data['bulkupdate']['idx'];
   display_bulk_update($database, $my_user_id, "my.tools.php?selector=$selector_id", $_REQUEST['rule']);
   break;
 case $tools_data['shop_item_maker']['idx']:
   $selector_id = $tools_data['shop_item_maker']['idx'];
   display_shop_item_generator($database, $my_user_id);
   break;
 case $tools_data['generator']['idx']:
   display_xml_template_generator($database, $my_user_id);
   break;
 case $tools_data['converter']['idx']:
   print "<form method=\"post\" action=\"xml.converter.php\" enctype=\"multipart/form-data\">\n";
   print "&nbsp;<br>";
   print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
   print "<tr>\n";
   print "<td align=\"left\" bgcolor=\"$color[table_top]\"  colspan=\"2\">Please specify the source file</td>\n";
   print "</tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"25%\">Source file</td>\n";
   print "<td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"75%\">";
   print "<input type=\"file\" name=\"source_file[]\" size=\"40\" title=\"Supported source file formats: NKN, SDF, TXT\">";
   print "</table>\n";

   print "&nbsp;<br>";
   print "<input type=\"image\" src=\"$theme/button.continue.gif\" border=\"0\" value=\"Continue\">";
   print "</form>\n";
   break;
 case $tools_data['content_indexer']['idx']:
   $selector_id = $tools_data['content_indexer']['idx'];
   display_content_indexer($database, $my_user_id, "my.tools.php?selector=$selector_id", $session_id);
}

display_navigator_box_bottom("100%");
print "&nbsp;<br>";

site_footer($database);
pg_close($database);
?>
