<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";
include_once "include/database.php";

$database = po_dbconnect();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['user']) {
  pg_close($database);
  header("location: login.php");
  exit();
}

$photo_id = $_REQUEST['photo'];
$photo_data = pg_fetch_row(pg_query($database, "
  select caption, medium_image_path, large_image_path, users, hide_original, title
    from photo, photo_version
   where photo.identifier = photo_version.photo
     and photo_version.master = 't'
     and photo.identifier = '$photo_id'"));

/* this will enable administrators to empty anybody's trash */
if ($my_user_id[1] == $user_type['administrator']) {
  $user_id = $photo_data[3];
}
if (!$user_id) {
  $user_id = $my_user_id[0];
}

$dupe_id     = $_REQUEST['dupe'];
$photo_dupe  = pg_fetch_row(pg_query($database, "select date_of_creation, storage_location, storage_index, remark from photo_dupe where identifier='$dupe_id'"));
$folder_data = pg_fetch_row(pg_query($database, "select folder.identifier, folder.caption from photo, folder where photo.folder = folder.identifier and photo.identifier='$photo_id'"));
$user_data   = pg_fetch_row(pg_query($database, "select identifier, last_name, first_name  from users where identifier=$user_id"));

site_header($page_width, "Photo Organizer : Edit Photo Duplicate");
if ($my_user_id[0] == $user_id) {
  site_navigator(5, $my_user_id[1]);
  $user_display_string = "My Folders and Albums";
}
else {
  site_navigator(1, $my_user_id[1]);
  $user_display_string = sprintf("%s, %s", $user_data[1], $user_data[2]);
}
$path_to_folder = get_path_to_folder($database, $folder_data[0]);
$title = get_photo_title($photo_data[0], $photo_data[5]);
site_navigator_staus("<a href=\"user.php\">Users</a> : <a href=\"user.php?user=$user_data[0]\">$user_display_string</a>$path_to_folder : <a href=\"folder.php?folder=$folder_data[0]\">$folder_data[1]</a> : <a href=\"photo.php?photo=$photo_id\">$title</a> : Edit duplicate", "");

print "&nbsp;<br>\n";
print "<center>\n";
display_shaded_photo("image.display.php?image=$photo_id&size=2&ver=$version", "", $image_repository_path . "/" . $photo_data[1]);
print "</center>\n";
print "&nbsp;<br>\n";

print "<form method=\"post\" action=\"photo.dupe.edit.2.php\">\n";
print "<input type=\"hidden\" name=\"photo\" value=\"$photo_id\">\n";
print "<input type=\"hidden\" name=\"dupe\" value=\"$dupe_id\">\n";
print "<table bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"22%\">Date of creation</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"12%\">Storage Location</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"12%\">Storage Index</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"56%\">Remark</td>";
print "</tr>";

print "<tr>";
print "<td bgcolor=\"$color[table_body]\" >\n";
display_date_input_form("creation_timestamp", "$photo_dupe[0]");
print "</td>\n";
print "<td bgcolor=\"$color[table_body]\" ><input type=\"text\" name=\"storage_location\" value=\"$photo_dupe[1]\" size=\"12%\"></td>";
print "<td bgcolor=\"$color[table_body]\" ><input type=\"text\" name=\"storage_index\" value=\"$photo_dupe[2]\" size=\"12%\"></td>";
if ($photo_dupe[3]=="Original") {
  print "<td bgcolor=\"$color[table_body]\" >$photo_dupe[3]</td>\n";
  print "<input type=\"hidden\" name=\"remark\" value=\"$photo_dupe[3]\">\n";
}
else {
  print "<td bgcolor=\"$color[table_body]\" ><input type=\"text\" name=\"remark\" value=\"$photo_dupe[3]\" size=\"60%\"></td>\n";
}
print "</tr>";

print "</table>\n";
print "&nbsp;<br>\n";
print "<input type=\"image\" src=\"$theme/button.save.changes.gif\" border=\"0\" value=\"Save Changes\">\n";
print "<a class=\"nodecor\" href=\"photo.php?photo=$photo_id&detail_info=3\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"></a>\n";
print "</form>\n";

print "&nbsp;<br>\n";

site_footer($database);
pg_close($database);
?>
