<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";
include_once "include/database.php";

$database = po_dbconnect();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['user']) {
  pg_close($database);
  header("location: login.php");
  exit();
}

$submission_id=$_REQUEST['submission'];
$submission_data = pg_fetch_row(pg_query($database, "select photo_dupe, uidentifier, first_name, last_name, value, date_of_creation, remark
                                                       from view_submission where identifier=$submission_id"));
/* this will enable administrators to do stuff */
if ($my_user_id[1] == $user_type['administrator']) {
  $tmp_data = pg_fetch_row(pg_query ($database, "select photo.users from photo, photo_dupe where photo.identifier=photo_dupe.photo and photo_dupe.identifier=$submission_data[0]"));
  $user_id = $tmp_data[0];
}
if (!$user_id) {
  $user_id = $my_user_id[0];
}

$photo_data = pg_fetch_row(pg_query($database, "
  select photo.identifier, photo.caption, medium_image_path, large_image_path, hide_original, title
    from photo, photo_dupe, photo_version
   where photo.identifier = photo_version.photo
     and photo.identifier = photo_dupe.photo
     and photo_version.master = 't'
     and photo_dupe.identifier = $submission_data[0]
     and photo.users = $user_id"));
if ($photo_data == "") {
  pg_close($database);
  header("location: login.php");
  exit();
}

$folder_data = pg_fetch_row(pg_query($database, "select folder.identifier, folder.caption from photo, folder where photo.folder = folder.identifier and photo.identifier='$photo_data[0]'"));
$user_data = pg_fetch_row(pg_query($database, "select identifier, last_name, first_name from users where identifier=$user_id"));
$client_all = pg_query($database, "select client, last_name, first_name from view_client where users=$user_id and (status=2 or status=4)");
$submission_status_all = pg_query($database, "select identifier, value from submission_status");


site_header($page_width, "Photo Organizer : Delete Photo Submission");
if ($my_user_id[0] == $user_id) {
  site_navigator(5, $my_user_id[1]);
  $user_display_string = "My Folders and Albums";
}
else {
  site_navigator(1, $my_user_id[1]);
  $user_display_string = sprintf("%s, %s", $user_data[1], $user_data[2]);
}
$path_to_folder = get_path_to_folder($database, $folder_data[0]);
$title = get_photo_title($photo_data[1], $photo_data[5]);
site_navigator_staus("<a href=\"user.php\">Users</a> : <a href=\"user.php?user=$user_data[0]\">$user_display_string</a>$path_to_folder : <a href=\"folder.php?folder=$folder_data[0]\">$folder_data[1]</a> : <a href=\"photo.php?photo=$photo_data[0]\">$title</a> : Submit this photo", "");

print "&nbsp;<br>\n";
print "<center>\n";
display_shaded_photo("image.display.php?image=$photo_data[0]&size=2&ver=$version", "", $image_repository_path . "/" . $photo_data[2]);
print "</center>\n";
print "&nbsp;<br>\n";

print "<form method=\"post\" action=\"photo.submission.del.2.php\">\n";
print "<input type=\"hidden\" name=\"submission\" value=\"$submission_id\">\n";
print "<input type=\"hidden\" name=\"photo\" value=\"$photo_data[0]\">\n";
print "<table bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"22%\">Submission date</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"18%\">Status</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"30%\">Client</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"30%\">Remark</td>";
print "</tr>";

print "<tr>";
print "<td bgcolor=\"$color[table_body]\" >\n".generate_date_html($submission_data[5], 'date', $my_user_id[0]  == "" ? 0 : 1). "</td>";
print "<td bgcolor=\"$color[table_body]\" >$submission_data[4]</td>\n";
if ($submission_data[3] != "" && $submission_data[2] != "")
     $submission_data[3] = $submission_data[3] . ",";
print "<td bgcolor=\"$color[table_body]\" ><a href=\"user.php?user=$submission_data[1]\">$submission_data[3] $submission_data[2]</a></td>\n";
print "<td bgcolor=\"$color[table_body]\" >$submission_data[6]</td>\n";
print "</tr>";

print "</table>\n";
print "&nbsp;<br>\n";
print "<input type=\"image\" src=\"$theme/button.confirm.delete.gif\" border=\"0\" value=\"Confirm Delete\">\n";
print "<a class=\"nodecor\" href=\"photo.php?photo=$photo_data[0]&detail_info=4\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"></a>\n";
print "</form>\n";

print "&nbsp;<br>\n";

site_footer($database);
pg_close($database);
?>
