<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";
include_once "include/database.php";

$database = po_dbconnect();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['user']) {
  pg_close($database);
  header("location: login.php");
  exit();
}

$photo_id   = $_REQUEST['photo'];
$version_id = $_REQUEST['version'];

$photo_data = pg_fetch_row(pg_query($database, "
  select caption, medium_image_path, large_image_path, users, hide_original, title
    from photo, photo_version
   where photo.identifier = photo_version.photo
     and photo_version.identifier = '$version_id'
     and photo.identifier = '$photo_id'"));

/* this will enable administrators to empty anybody's trash */
if ($my_user_id[1] == $user_type['administrator']) {
  $user_id = $photo_data[3];
}
if (!$user_id) {
  $user_id = $my_user_id[0];
}

$photo_version = pg_fetch_row(pg_query($database, "select identifier, key, date_of_creation, comment, master from photo_version where identifier='$version_id'"));
$folder_data = pg_fetch_row(pg_query($database, "select folder.identifier, folder.caption from photo, folder where photo.folder = folder.identifier and photo.identifier='$photo_id'"));
$user_data = pg_fetch_row(pg_query($database, "select identifier, last_name, first_name  from users where identifier=$user_id"));


site_header($page_width, "Photo Organizer : Edit Photo Version");
if ($my_user_id[0] == $user_id) {
  site_navigator(5, $my_user_id[1]);
  $user_display_string = "My Folders and Albums";
}
else {
  site_navigator(1, $my_user_id[1]);
  $user_display_string = sprintf("%s, %s", $user_data[1], $user_data[2]);
}
$path_to_folder = get_path_to_folder($database, $folder_data[0]);
$title = get_photo_title($photo_data[0], $photo_data[5]);
site_navigator_staus("<a href=\"user.php\">Users</a> : <a href=\"user.php?user=$user_data[0]\">$user_display_string</a>$path_to_folder : <a href=\"folder.php?folder=$folder_data[0]\">$folder_data[1]</a> : <a href=\"photo.php?photo=$photo_id\">$title</a> : Edit version", "");

print "&nbsp;<br>\n";
print "<center>\n";
display_shaded_photo("image.display.php?image=$photo_id&size=2&ver=$version_id", "", $image_repository_path . "/" . $photo_data[1]);
print "</center>\n";
print "&nbsp;<br>\n";

print "<form method=\"post\" action=\"photo.version.edit.2.php\" enctype=\"multipart/form-data\">\n";
print "<input type=\"hidden\" name=\"photo\"   value=\"$photo_id\">\n";
print "<input type=\"hidden\" name=\"version\" value=\"$version_id\">\n";
print "<input type=\"hidden\" name=\"key\"     value=\"$photo_version[1]\">\n";

print "<table bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"4\" width=\"100%\">\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_top]\"  width=\"10%\">Version</td>";
print "<td align=\"left\" bgcolor=\"$color[table_top]\"  width=\"18%\">Date</td>";
print "<td align=\"left\" bgcolor=\"$color[table_top]\"  width=\"5%\">Master</td>";
print "<td align=\"left\" bgcolor=\"$color[table_top]\"  width=\"27%\">Remark</td>";
print "<td align=\"left\" bgcolor=\"$color[table_top]\"  width=\"40%\">Replace this image with:</td>";
print "</tr>\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$photo_id-V.$photo_version[1]</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >".generate_date_html($photo_version[2], 'date', $my_user_id[0]  == "" ? 0 : 1)."</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
if ($photo_version[4]=='t') {
  print "Yes";
  print "<input type=\"hidden\" name=\"master\" value=\"t\">\n";
}
else {
  display_yes_no_combo("master", $photo_version[4]);
}
print "</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
print "<input type=\"text\" name=\"comment\" value=\"$photo_version[3]\">\n";
print "</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
print "<input type=\"file\" name=\"file_name[]\" size=\"40%\"></td></tr>";
print "</td>\n";
print "</tr>\n";

print "</table>\n";
print "&nbsp;<br>\n";
print "<input type=\"image\" src=\"$theme/button.save.changes.gif\" border=\"0\" value=\"Save Changes\">\n";
print "<a class=\"nodecor\" href=\"photo.php?photo=$photo_id&detail_info=5&ver=$version_id\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"></a>\n";
print "</form>\n";
print "&nbsp;<br>\n";

site_footer($database);
pg_close($database);
?>
