<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/common.php";
include_once "include/site.php";
include_once "include/color.php";
include_once "include/database.php";
include_once "$theme/theme.php";

$username                     = pg_escape_string($_REQUEST['username']);
$password_1                   = pg_escape_string($_REQUEST['password_1']);
$password_2                   = pg_escape_string($_REQUEST['password_2']);
$first_name                   = pg_escape_string($_REQUEST['first_name']);
$last_name                    = pg_escape_string($_REQUEST['last_name']);
$company                      = pg_escape_string($_REQUEST['company']);
$address1                     = pg_escape_string($_REQUEST['address1']);
$address2                     = pg_escape_string($_REQUEST['address2']);
$city                         = pg_escape_string($_REQUEST['city']);
$zipcode                      = pg_escape_string($_REQUEST['zipcode']);
$state                        = $_REQUEST['state'];
$country                      = $_REQUEST['country'];
$email                        = pg_escape_string($_REQUEST['email']);
$url                          = pg_escape_string($_REQUEST['url']);
$phone                        = pg_escape_string($_REQUEST['phone']);

$im_preview_quality           = $_REQUEST['im_preview_quality'];
$im_preview_color_space       = $_REQUEST['im_preview_color_space'];
$im_preview_gamma             = $_REQUEST['im_preview_gamma'];
$im_preview_sharpen_radius    = $_REQUEST['im_preview_sharpen_radius'];
$im_preview_sharpen_sigma     = $_REQUEST['im_preview_sharpen_sigma'];
$im_preview_sharpen_amount    = $_REQUEST['im_preview_sharpen_amount'];
$im_preview_sharpen_threshold = $_REQUEST['im_preview_sharpen_threshold'];
$im_preview_border_width      = $_REQUEST['im_preview_border_width'];
$im_preview_border_height     = $_REQUEST['im_preview_border_height'];
$im_preview_border_color      = $_REQUEST['im_preview_border_color'];

$im_thumb_quality             = $_REQUEST['im_thumb_quality'];
$im_thumb_color_space         = $_REQUEST['im_thumb_color_space'];
$im_thumb_gamma               = $_REQUEST['im_thumb_gamma'];
$im_thumb_sharpen_radius      = $_REQUEST['im_thumb_sharpen_radius'];
$im_thumb_sharpen_sigma       = $_REQUEST['im_thumb_sharpen_sigma'];
$im_thumb_sharpen_amount      = $_REQUEST['im_thumb_sharpen_amount'];
$im_thumb_sharpen_threshold   = $_REQUEST['im_thumb_sharpen_threshold'];
$im_thumb_border_width        = $_REQUEST['im_thumb_border_width'];
$im_thumb_border_height       = $_REQUEST['im_thumb_border_height'];
$im_thumb_border_color        = $_REQUEST['im_thumb_border_color'];

$im_watermark_brightness      = $_REQUEST['im_watermark_brightness'];
$im_watermark_location        = $_REQUEST['im_watermark_location'];

$dcraw_gamma                  = $_REQUEST['dcraw_gamma'];
$dcraw_brightness             = $_REQUEST['dcraw_brightness'];
$dcraw_white_balanace         = $_REQUEST['dcraw_white_balanace'];
$dcraw_red_multiplier         = $_REQUEST['dcraw_red_multiplier'];
$dcraw_blue_multiplier        = $_REQUEST['dcraw_blue_multiplier'];
$dcraw_bitdepth               = $_REQUEST['dcraw_bitdepth'];

if (!$im_preview_quality)           $im_preview_quality           = $default_im_preview_quality;
if (!$im_preview_color_space)       $im_preview_color_space       = $default_im_preview_color_space;
if (!$im_preview_gamma)             $im_preview_gamma             = $default_im_preview_gamma;
if (!$im_preview_sharpen_radius)    $im_preview_sharpen_radius    = $default_im_preview_sharpen_radius;
if (!$im_preview_sharpen_sigma)     $im_preview_sharpen_sigma     = $default_im_preview_sharpen_sigma;
if (!$im_preview_sharpen_amount)    $im_preview_sharpen_amount    = $default_im_preview_sharpen_amount;
if (!$im_preview_sharpen_threshold) $im_preview_sharpen_threshold = $default_im_preview_sharpen_threshold;
if (!$im_preview_border_width)      $im_preview_border_width      = $default_im_preview_border_width;
if (!$im_preview_border_height)     $im_preview_border_height     = $default_im_preview_border_height;
if (!$im_preview_border_color)      $im_preview_border_color      = $default_im_preview_border_color;

if (!$im_thumb_quality)             $im_thumb_quality             = $default_im_thumb_quality;
if (!$im_thumb_color_space)         $im_thumb_color_space         = $default_im_thumb_color_space;
if (!$im_thumb_gamma)               $im_thumb_gamma               = $default_im_thumb_gamma;
if (!$im_thumb_sharpen_radius)      $im_thumb_sharpen_radius      = $default_im_thumb_sharpen_radius;
if (!$im_thumb_sharpen_sigma)       $im_thumb_sharpen_sigma       = $default_im_thumb_sharpen_sigma;
if (!$im_thumb_sharpen_amount)      $im_thumb_sharpen_amount      = $default_im_thumb_sharpen_amount;
if (!$im_thumb_sharpen_threshold)   $im_thumb_sharpen_threshold   = $default_im_thumb_sharpen_threshold;
if (!$im_thumb_border_width)        $im_thumb_border_width        = $default_im_thumb_border_width;
if (!$im_thumb_border_height)       $im_thumb_border_height       = $default_im_thumb_border_height;
if (!$im_thumb_border_color)        $im_thumb_border_color        = $default_im_thumb_border_color;

if (!$im_watermark_brightness)      $im_watermark_brightness      = $default_im_watermark_brightness;
if (!$im_watermark_location)        $im_watermark_location        = $default_im_watermark_location;

if (!$dcraw_gamma)                  $dcraw_gamma                  = $default_dcraw_gamma;
if (!$dcraw_brightness)             $dcraw_brightness             = $default_dcraw_brightness;
if (!$dcraw_white_balanace)         $dcraw_white_balanace         = $default_dcraw_white_balanace;
if (!$dcraw_red_multiplier)         $dcraw_red_multiplier         = $default_dcraw_red_multiplier;
if (!$dcraw_blue_multiplier)        $dcraw_blue_multiplier        = $default_dcraw_blue_multiplier;
if (!$dcraw_bitdepth)               $dcraw_bitdepth               = $default_dcraw_bitdepth;


$start_hour     = 8;
$end_hour       = 20;
$start_day      = 1;
$print_out      = "pdf";

$num_of_columns = $default_num_of_columns;
$num_of_rows    = $default_num_of_rows_in_slide_view;
$num_of_rows_l  = $default_num_of_rows_in_list_view;
$folder_view    = "slide";

$paper          = $default_paper;
$label          = $default_label;
$popup_delay    = $default_popup_delay;
$popup_enable   = $default_popup_enable;

$my_user_id = 0;
$registration_error = 0;

$database = po_dbconnect();
$system_preferences = pg_fetch_row(pg_query($database, "
  select new_user_type, new_user_bulk_upload_enable, new_user_paper,
         new_user_label, new_user_shop_enable,
         new_user_quota_size, new_user_quota_count, new_user_shared
    from system_preferences"));

if ($system_preferences[0] == $user_type['disabled']) {
  header("location: login.php");
  exit();
}

if ($username!="") {
  $result = pg_fetch_row(pg_query($database, "select identifier from users where username='$username'"));
  if ($result[0] != 0) {
    $registration_error = 1;
  }
  elseif (($password_2 != $password_1) || (($password_2 == "") && ($password_1 == ""))) {
    $registration_error = 2;
  }
  elseif (($first_name == "") || ($last_name == "")) {
    $registration_error = 3;
  }
  elseif ($email == "") {
    $registration_error = 4;
  }
  else {
    pg_query($database, "begin");
    $new_user_id = pg_fetch_row(pg_query($database, "select nextval('users_id_sequence')"));
    $new_contact_info_id = pg_fetch_row(pg_query($database, "select nextval('contact_info_id_sequence')"));
    $new_preferences_id = pg_fetch_row(pg_query($database, "select nextval('preferences_id_sequence')"));
    $new_imagemagick_options_id = pg_fetch_row(pg_query($database, "select nextval('imagemagick_options_id_sequence')"));
    $new_imagemagick_composite_options_id = pg_fetch_row(pg_query($database, "select nextval('imagemagick_composite_options_id_sequence')"));
    $new_dcraw_options_id = pg_fetch_row(pg_query($database, "select nextval('dcraw_options_id_sequence')"));
    $my_user_id = $new_user_id[0];
    $my_contact_info_id = $new_contact_info_id[0];
    $my_preferences_id = $new_preferences_id[0];
    $my_imagemagick_options_id = $new_imagemagick_options_id[0];
    $my_imagemagick_composite_options_id = $new_imagemagick_composite_options_id[0];
    $my_dcraw_options_id = $new_dcraw_options_id[0];

    $result = pg_query($database, "
      insert into preferences
             (identifier, print_out, start_hour, end_hour, start_day,
              num_of_rows, num_of_columns, folder_view, num_of_rows_l,
              bulk_upload_enable, paper, label, popup_enable, popup_delay,
              shop_enable, quota_size, quota_count, download_counter, download_expiry_period)
      values ('$my_preferences_id', '$print_out', '$start_hour', '$end_hour', '$start_day',
              '$num_of_rows', '$num_of_columns', '$folder_view', '$num_of_rows_l',
              '$system_preferences[1]', '$paper', '$label', '$popup_enable', $popup_delay,
              '$system_preferences[4]', $system_preferences[5], $system_preferences[6], 100, 1095)");
    if (!$result)
      $registration_error = 5;

    $result = pg_query($database, "
      insert into imagemagick_options
             (identifier,
              preview_quality, preview_colorspace, preview_gamma,
              preview_sharpen_radius, preview_sharpen_sigma,
              preview_sharpen_amount, preview_sharpen_threshold,
              preview_border_width, preview_border_height, preview_border_color,
              thumb_quality, thumb_colorspace, thumb_gamma,
              thumb_sharpen_radius, thumb_sharpen_sigma,
              thumb_sharpen_amount, thumb_sharpen_threshold,
              thumb_border_width, thumb_border_height, thumb_border_color)
      values ($my_imagemagick_options_id,
              $im_preview_quality, '$im_preview_color_space', $im_preview_gamma,
              $im_preview_sharpen_radius, $im_preview_sharpen_sigma,
              $im_preview_sharpen_amount, $im_preview_sharpen_threshold,
              $im_preview_border_width, $im_preview_border_height, '$im_preview_border_color',
              $im_thumb_quality, '$im_thumb_color_space', $im_thumb_gamma,
              $im_thumb_sharpen_radius, $im_thumb_sharpen_sigma,
              $im_thumb_sharpen_amount, $im_thumb_sharpen_threshold,
              $im_thumb_border_width, $im_thumb_border_height, '$im_thumb_border_color')");
    if (!$result)
      $registration_error = 5;

    $result = pg_query($database, "
      insert into imagemagick_composite_options
             (identifier, gravity, watermark, photo_version)
      values ($my_imagemagick_composite_options_id, '$im_watermark_location', $im_watermark_brightness, null)");
    if (!$result)
      $registration_error = 5;

    $result = pg_query($database, "
      insert into dcraw_options
             (identifier, gamma, brightness, white_balance, red_multiplier, blue_multiplier, bitdepth)
      values ($my_dcraw_options_id, $dcraw_gamma, $dcraw_brightness, '$dcraw_white_balanace', $dcraw_red_multiplier, $dcraw_blue_multiplier, $dcraw_bitdepth)");
    if (!$result)
      $registration_error = 5;

    if (substr($url, 0, 7) != "http://")
      $url = "http://".$url;

    $result = pg_query($database, "insert into contact_info (identifier, address1, address2, city, zipcode, state, country, phone, email, url)
                                   values ('$my_contact_info_id', '$address1', '$address2', '$city', '$zipcode', $state, $country, '$phone', '$email', '$url')");
    if (!$result)
      $registration_error = 5;

    $session_id = md5($my_user_id . time());
    $result = pg_query($database, "insert into users (identifier, first_name, last_name, company, username, password, session_id, contact, member_since, preferences, imagemagick_options, imagemagick_composite_options, dcraw_options, type, shared)
                                   values ('$my_user_id', '$first_name', '$last_name', '$company', '$username', '$password_1', '$session_id', '$my_contact_info_id', now(), '$my_preferences_id', '$my_imagemagick_options_id', '$my_imagemagick_composite_options_id', '$my_dcraw_options_id', $system_preferences[0], '$system_preferences[7]')");
    if (!$result)
      $registration_error = 5;
    $result = pg_query($database, "insert into folder (identifier, parent_folder, users, caption, date_of_creation, access_rights, orderby)
                                   values (nextval('folder_id_sequence'), null, '$my_user_id', 'Orphanage', now(), 3, 1)");
    if (!$result)
      $registration_error = 5;
    $result = pg_query($database, "insert into folder (identifier, parent_folder, users, caption, date_of_creation, access_rights, orderby)
                                   values (nextval('folder_id_sequence'), null, '$my_user_id', 'Trash', now(), 3, 1)");
    if (!$result)
      $registration_error = 5;

    if ($registration_error == 5)
      pg_query($database, "rollback");
    else {
      pg_query($database, "commit");
      setcookie ($po_cookie, $session_id, 0, "", "", 0);
    }
  }
}

if ($my_user_id!=0) {
  header("location: login.php");
  exit();
}

site_header($page_width, "Photo Organizer : Register");
site_navigator(3, $type[0]);

switch ($registration_error) {
 case 1:
   site_navigator_staus("<font color=\"red\">Username <b>$username</b> already registered.</font>", "");
   break;
 case 2:
   site_navigator_staus("<font color=\"red\">Password mismatch.</font>", "");
   break;
 case 3:
   site_navigator_staus("<font color=\"red\">First name and and last name is mandatory.</font>", "");
   break;
 case 4:
   site_navigator_staus("<font color=\"red\">E-mail is mandatory.</font>", "");
   break;
 case 5:
   site_navigator_staus("<font color=\"red\">Could not create new user entry, database error.</font>", "");
   break;
 default:
   site_navigator_staus("<a href=\"login.php\">Login</a> : Registration : fields in <b>bold</b> are mandatory", "");
}

$all_states = pg_query($database, "select identifier, value from state order by value");
$all_countries = pg_query($database, "select identifier, value from country order by value");
$all_papers = pg_query($database, "select identifier, name from paper");
$all_labels = pg_query($database, "
    select label.identifier,
           (select name from manufacturer where identifier=label.manufacturer),
           label.name, paper.name
      from label, paper
     where label.paper=paper.identifier");

print "<form action=\"register.php\" method=\"POST\">\n";
print "&nbsp;<br>\n";
print "<table align=\"center\" valign=\"top\" border=\"0\">\n";

print "<tr><td align=\"right\" nowrap><b>Username</b>&nbsp;        </td><td align=\"left\"><input tabindex=\"1\" type=\"text\" name=\"username\" value=\"$username\" size=\"35%\"></td></tr>\n";
print "<tr><td align=\"right\" nowrap><b>Password</b>&nbsp;        </td><td align=\"left\"><input tabindex=\"2\" type=\"password\" name=\"password_1\" size=\"35%\"></td></tr>\n";
print "<tr><td align=\"right\" nowrap><b>Confirm password</b>&nbsp;</td><td align=\"left\"><input tabindex=\"3\" type=\"password\" name=\"password_2\" size=\"35%\"></td></tr>\n";
print "<tr><td align=\"right\" nowrap><b>First name</b>&nbsp;      </td><td align=\"left\"><input tabindex=\"4\" type=\"text\" name=\"first_name\" value=\"$first_name\" size=\"35%\"></td></tr>\n";
print "<tr><td align=\"right\" nowrap><b>Last name</b>&nbsp;       </td><td align=\"left\"><input tabindex=\"5\" type=\"text\" name=\"last_name\" value=\"$last_name\" size=\"35%\"></td></tr>\n";
print "<tr><td align=\"right\" nowrap><b>Email</b>&nbsp;           </td><td align=\"left\"><input tabindex=\"6\" type=\"text\" name=\"email\" value=\"$email\" size=\"35%\"></td></tr>\n";

print "<tr><td valign=\"top\" colspan=\"2\">&nbsp;</td></tr>\n";

print "<tr><td align=\"right\" nowrap>Url             </td><td align=\"left\"><input tabindex=\"7\" type=\"text\" name=\"url\" value=\"$url\" size=\"35%\"></td></tr>\n";
print "<tr><td align=\"right\" nowrap>Phone           </td><td align=\"left\"><input tabindex=\"8\" type=\"text\" name=\"phone\" value=\"$phone\" size=\"35%\"></td></tr>\n";
print "<tr><td align=\"right\" nowrap>Company         </td><td align=\"left\"><input tabindex=\"9\" type=\"text\" name=\"company\" value=\"$company\" size=\"35%\"></td></tr>\n";
print "<tr><td align=\"right\" nowrap>Address         </td><td align=\"left\">
<table cellspacing=0 cellpadding=0><tr><td>
<input tabindex=\"10\" type=\"text\" name=\"address1\" value=\"$address1\" size=\"35%\">
</td></tr><tr><td height=6></td></tr><tr><td>
<input tabindex=\"11\" type=\"text\" name=\"address2\" value=\"$address2\" size=\"35%\">
</td></tr></table>
</td></tr>\n";
print "<tr><td align=\"right\" nowrap>City            </td><td align=\"left\"><input tabindex=\"12\" type=\"text\" name=\"city\" value=\"$city\" size=\"35%\"></td></tr>\n";
print "<tr><td align=\"right\" nowrap>Zipcode         </td><td align=\"left\"><input tabindex=\"13\" type=\"text\" name=\"zipcode\" value=\"$zipcode\" size=\"35%\"></td></tr>\n";
print "<tr><td align=\"right\" nowrap>State           </td><td align=\"left\">"; display_combo("state", $all_states, $state, "", 0); print"</td></tr>\n";
print "<tr><td align=\"right\" nowrap>Country         </td><td align=\"left\">"; display_combo("country", $all_countries, $country, "", 0); print"</td></tr>\n";
print "</table>\n";

print "<div align=\"center\">";
print "&nbsp;<br>\n";
print "<input tabindex=\"16\" type=\"image\" src=\"$theme/button.register.gif\" border=\"0\" value=\"Register\">";
print "<a class=\"nodecor\" href=\"register.php\"><img src=\"$theme/button.clear.gif\" alt=\"Clear\" border=\"0\"></a>";
print "&nbsp;<br>\n";
print "</div>";
print "</form>\n";


site_footer($database);
pg_close($database);
?>
