<?php

//  Copyright (C) 2002, 2003, 2004, 2005, 2006 Balint Kis (balint@k-i-s.net)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/datebook.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/contacts.php";
include_once "include/calendar.php";
include_once "include/database.php";

$database = po_dbconnect();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['user']) {
  pg_close($database);
  header("location: login.php");
  exit();
}

$transaction_id = $_REQUEST['order'];
$transaction_status = $_REQUEST['status'];


$photos_in_order = pg_query($database, "select shop_order.identifier from shop_order where shop_order.transaction=$transaction_id");

pg_query($database, "begin");

$result = pg_query($database, "update shop_transaction set status=$transaction_status where identifier=$transaction_id");
if (!$result) {
  pg_query($database, "rollback");
  pg_close($database);
  header("location: shop.order.php?order=".$transaction_id);
  exit();
}

$number_of_items = pg_num_rows($photos_in_order);
for ($item = 0; $item < $number_of_items; $item++) {
  $photo = pg_fetch_row($photos_in_order, $item);
  $download_counter = $_REQUEST["dcount".$photo[0]];
  if ($download_counter) {
    if ($download_counter == "unlimited")
      $download_counter = "3000";
    $result = pg_query($database, "update shop_order set download_counter=$download_counter where identifier=$photo[0]");
    if (!$result) {
      pg_query($database, "rollback");
      pg_close($database);
      header("location: shop.order.php?order=".$transaction_id);
      exit();
    }
  }

  $download_expiry_date = $_REQUEST["expiry_timestamp".$photo[0]];

  if ($download_expiry_date != "null") {
    $download_expiry_date = check_date_validity($download_expiry_date);
    $result = pg_query($database, "update shop_order set download_expiry_date=$download_expiry_date where identifier=$photo[0]");
    if (!$result) {
      pg_query($database, "rollback");
      pg_close($database);
      header("location: shop.order.php?order=".$transaction_id);
      exit();
    }
  }
}

pg_query($database, "commit");

pg_close($database);
header("location: shop.order.php?order=".$transaction_id);
?>
